;;; ERSTE Version des Models (kann nur Laut/Duration)

(defvar *model* nil)
(defvar *t* nil)
(defvar *numbsi* nil)

(defvar *feedback* nil);speichert das Feedback
(defvar *list_feedback* nil)
(defvar *list_feedback_r* nil)
(defvar *x* nil)
(defvar *lis* nil)

(defvar *wait* nil); eine Variable dafür dass erstmal nichts passiert.
(defvar *trialtone* nil)
(defvar *trials* nil)
(defvar *trials_feedback* nil)
(defvar *trials_feedback_r* nil)

(defvar *list_tone* nil)
(defvar *list_tone_r* nil)

(defvar response nil); speichert die Model Response
(defvar *list_response* nil)
(defvar *list_response_r* nil)

(defvar *key-time* nil)
(defvar *list_key-time* nil)
(defvar *list_key-time_r* nil)

(defvar *tone-time* nil)
(defvar *list_tone-time* nil)
(defvar *list_tone-time_r* nil)

(defvar *response-time* nil) ;stimulus-onset minus key-time
(defvar *response-time2* nil) ;stimulus-onset minus key-time minus duration
(defvar *list_response-time* nil)
(defvar *list_response-time_r* nil)

; soll die Zeit speichern vom Trialonset bis Responseonset
(defvar *tone* nil); soll die number des Tonsspeichern
(defvar *trial* nil); soll die Number des Trials speichern
(defvar *trial_list* nil)
(defvar *trial_list_r* nil)
(defvar *trialid* nil)

(defvar *tone-time* nil)

(defvar targets nil) ;für get-list
(defvar nontargets nil) ;für get-list
(defvar countp 0) ;counter für do-bloxs

(defvar trialcount 1) ;soll die trials in den blöcken zählen
(defvar blockcount 1) ;soll die blöcke zählen
(defvar correctcount 0) ;soll die corrects in den blöcken zählen
(defvar timecalc 0) ;soll die kommulierte Responsetime enthalten (nur correcte responses)
(defvar timecalcALL 0) ;soll die kommulierte Responsetime enthalten
(defvar richtigeantwort 3) ;speichert die richtige Antwort: 0 oder 1


(defvar blockzahl 12) ;6
(defvar trialzahl 21) ;21

(defvar *parttwo* nil) ;schaut, ob part 1 fertig ist oder wir schon in part 2 sind
(defvar ersteTabelle (make-array '(6 253) ;das Array soll 8 zeilen und 253 spalten haben
	:initial-element 'nil)
)
(defvar zweiteTabelle (make-array '(4 13) ;das Array soll 4 zeilen und 13 spalten haben
	:initial-element 'nil)
)

;==================================================================Methode==================================================================

(defmethod rpm-window-key-event-handler ((win rpm-window) key)
	(setf response (string key))
	(feedback) 
	(if (or(equal response "1")(equal response "0"))
		(and (setf *key-time* (get-time))(clear-exp-window)(add-text-to-exp-window :text *feedback* :x 100 :y 150)(new-word-sound *feedback* nil))
	)
);

;==================================================================Part1==============================================================

(defun trial() ;der eigentliche Trial, einmal durchgeführt

	(setq *numbsi* (first *trialid*))
	(setq *trialtone* (first *trialid*))
;	(writeTabelle *numbsi* 1 countp)

	(print "das hier ist countp: ")(princ countp)

	(case (+ countp 1)
		(nil (print "countp war nil"))
(0(print "countp war 0"))
(1(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(2(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(3(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(4(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(5(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(6(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(7(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(8(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(9(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(10(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(11(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(12(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(13(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(14(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(15(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(16(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(17(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(18(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(19(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(20(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(21(and(new-word-sound "Pause" nil)(setq richtigeantwort 3)))
(22(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(23(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(24(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(25(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(26(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(27(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(28(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(29(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(30(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(31(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(32(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(33(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(34(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(35(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(36(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(37(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(38(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(39(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(40(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(41(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(42(and(new-word-sound "Pause" nil)(setq richtigeantwort 3)))
(43(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(44(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(45(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(46(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(47(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(48(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(49(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(50(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(51(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(52(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(53(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(54(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(55(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(56(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(57(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(58(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(59(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(60(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(61(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(62(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(63(and(new-word-sound "Pause" nil)(setq richtigeantwort 3)))
(64(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(65(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(66(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(67(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(68(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(69(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(70(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(71(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(72(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(73(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(74(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(75(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(76(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(77(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(78(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(79(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(80(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(81(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(82(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(83(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(84(and(new-word-sound "Pause" nil)(setq richtigeantwort 3)))
(85(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(86(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(87(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(88(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(89(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(90(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(91(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(92(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(93(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(94(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(95(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(96(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(97(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(98(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(99(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(100(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(101(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(102(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(103(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(104(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(105(and(new-word-sound "Pause" nil)(setq richtigeantwort 3)))
(106(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(107(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(108(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(109(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(110(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(111(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(112(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(113(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(114(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(115(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(116(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(117(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(118(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(119(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(120(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(121(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(122(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(123(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(124(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(125(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(126(and(new-word-sound "Pause" nil)(setq richtigeantwort 3)))
(127(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(128(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(129(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(130(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(131(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(132(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(133(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(134(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(135(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(136(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(137(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(138(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(139(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(140(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(141(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(142(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(143(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(144(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(145(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(146(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(147(and(new-word-sound "Pause" nil)(setq richtigeantwort 3)))
(148(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(149(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(150(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(151(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(152(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(153(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(154(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(155(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(156(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(157(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(158(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(159(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(160(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(161(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(162(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(163(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(164(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(165(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(166(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(167(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(168(and(new-word-sound "Pause" nil)(setq richtigeantwort 3)))
(169(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(170(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(171(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(172(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(173(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(174(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(175(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(176(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(177(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(178(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(179(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(180(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(181(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(182(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(183(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(184(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(185(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(186(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(187(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(188(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(189(and(new-word-sound "Pause" nil)(setq richtigeantwort 3)))
(190(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(191(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(192(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(193(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(194(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(195(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(196(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(197(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(198(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(199(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(200(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(201(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(202(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(203(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(204(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(205(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(206(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(207(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(208(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(209(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(210(and(new-word-sound "Pause" nil)(setq richtigeantwort 3)))
(211(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(212(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(213(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(214(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(215(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(216(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(217(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(218(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(219(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(220(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(221(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(222(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "0")))
(223(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(224(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(225(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(226(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(227(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(228(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(229(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(230(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(231(and(new-word-sound "Pause" nil)(setq richtigeantwort 3)))
(232(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(233(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(234(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(235(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(236(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(237(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "0")))
(238(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(239(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(240(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(241(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(242(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(243(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "0")))
(244(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence low))(setq richtigeantwort "1")))
(245(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(246(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(247(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "1")))
(248(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(249(and(new-other-sound 'rising 0.4 0 0 (mp-time) 'external 'short nil '(:both vol loud) '(:sound frequence low))(setq richtigeantwort "0")))
(250(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'short nil '(:both vol quiet) '(:sound frequence high))(setq richtigeantwort "1")))
(251(and(new-other-sound 'falling 0.4 0 0 (mp-time) 'external 'long nil '(:both vol loud) '(:sound frequence high))(setq richtigeantwort "1")))
(252(and(new-word-sound "Pause" nil)(setq richtigeantwort 3)))


	)
	
	(let*((*trialtone*(setf *tone-time* (get-time)))
			(window (open-exp-window "Ton-Response-Feedback" :visible nil))
		 )
		(add-text-to-exp-window :text "LISTEN" :x 120 :y 120)
		(install-device window)
		(proc-display)
		(setq *x* (first(permute-list '(10 8 6))));10 8 6
		(run *x* :real-time nil);t
	)
	

	(push *key-time* *list_key-time*)
	(setq *list_key-time_r* (reverse *list_key-time*))
		
	(push *tone-time* *list_tone-time*)
	(setq *list_tone-time_r* (reverse *list_tone-time*))

	(setq *response-time* (- *key-time* *tone-time*))
	(responseminusduration)
	(print *response-time*) (princ "response-time")
	(push *response-time* *list_response-time*)
	(setq *list_response-time_r* (reverse *list_response-time*))
	
	(print *response-time2*) (princ "response-time2")

	;um Rseponse darzustellen
	(push response *list_response*) (setq response nil)
	(setq *list_response_r* (reverse *list_response*)) 

	(push *feedback* *list_feedback*)
	(setq *list_feedback_r* (reverse *list_feedback*)) 
		
)	

(defun do-part1()
	(dotimes (i blockzahl)
		(do-bloxs)
	)
)

(defun do-bloxs()
	(dotimes (i trialzahl)
		(trial)
		(incf countp)
		(incf trialcount)		
		(writeTabelle countp 0 countp) 
		(writeTabelle richtigeantwort 1 countp) 
		(writeTabelle *feedback* 3 countp) 
		(writeTabelle *response-time* 4 countp) 
		(writeTabelle *response-time2* 5 countp)
		
		;diese if Schleifen sind dafür da, um die letzten beiden Tabellenzeilen zu berechnen und zu schreiben
		(if (equal *feedback* "correct")
			(and
			(incf correctcount) ;correctcount um eins erhöhen
				(if (equal *numbsi* nil)
					(print "tone nil")
					(setq timecalc (+ timecalc *response-time*)) ;und die responsetime auf den timecal draufrechnen
				)
			)
		)
		(if (> *response-time* 0)
			(setq timecalcALL (+ timecalcALL *response-time*)) 
			(and (print "In Trial ")(princ countp)(princ " war *response-time* kleiner als 0"))
		)
		(if (equal trialcount (- trialzahl 1)) ;wenn ein block fertig ist: 
				(and(setq trialcount 0);trialcount zurücksetzen
					(setf (aref zweiteTabelle 0 blockcount) blockcount) ;blockzahl in die Tabelle schreiben
					(if (> correctcount 0)	
;						(setf (aref zweiteTabelle 1 blockcount) (coerce (/ timecalc correctcount) 'float)); durchschnittliche Responsetime messen
						(and 
							(setf (aref zweiteTabelle 1 blockcount) (/ timecalc correctcount)); durchschnittliche Responsetime von corrects messen
						)
						(setf (aref zweiteTabelle 1 blockcount) 0)
					)
					(setf (aref zweiteTabelle 3 blockcount) (/ timecalcALL (- trialzahl 1)));
					(setf (aref zweiteTabelle 2 blockcount) (/ correctcount (- trialzahl 1)));wenn das Ende des blocks erreicht ist, die anzahl der corrects in dem block angeben
					(setq correctcount 0);correctcount zurücksetzen
					(and
						(setq timecalc 0); timecalc zurücksetzen
						(setq timecalcALL 0); timecalcALL zurücksetzen
					)
				) 
			(if (equal trialcount trialzahl)
				(and 
					(setq trialcount 0)
					(setq correctcount 0)
				)
			)
		)
	)
	(incf blockcount)
)

(defun feedback()
	(writeTabelle response 2 (+ countp 1))

	(if (equal richtigeantwort response)
		(setf *feedback* "correct")
	   (setf *feedback* "wrong")
	 )
	 (if (equal richtigeantwort "3")
		(writeTabelle nil 3 (+ countp 1))
	 )
)

;==================================================================PartALL==============================================================

(defun responseminusduration()(print "rd")
	(if (or (equal *numbsi* 1) (equal *numbsi* 2)(equal *numbsi* 3)(equal *numbsi* 4)(equal *numbsi* 5)(equal *numbsi* 6)(equal *numbsi* 7)(equal *numbsi* 8))
		(setf *response-time2* (- *response-time* 500));;;;TEST 500
		(setf *response-time2* (- *response-time* 1000)) ;1000
	)
)
	
(defun do-all()
	(startTabelle) ;hier wird die große Tabelle erstellt und später im Verlauf des Versuches dann befüllt
	(dotimes (i 1)
		(do-part1)
	)
	(printArray zweiteTabelle)
	(fileTabelle ersteTabelle "ErgebnisseTabelle.csv")
	(fileTabelle zweiteTabelle"BloeckeTabelle.csv")
)

;;;;
;;; Das weg   
(defun nshuffle (sequence)
  (loop for i from (length sequence) downto 2
        do (rotatef (elt sequence (random i))
                    (elt sequence (1- i))))
					sequence
)

;==================================================================Tabelle==================================================================

(defun startTabelle()
	(setf (aref ersteTabelle 0 0) "Trial_Number" )
	(setf (aref ersteTabelle 1 0) "Richtig_Waere" )
	(setf (aref ersteTabelle 2 0) "Tastendruck" )
	(setf (aref ersteTabelle 3 0) "Feedback" )
	(setf (aref ersteTabelle 4 0) "Response-Duration" )
	(setf (aref ersteTabelle 5 0) "Responsetime2" )
	(setf (aref zweiteTabelle 0 0) "BlockNummer" )
	(setf (aref zweiteTabelle 1 0) "AVGResponsetimeCorrects" )
	(setf (aref zweiteTabelle 2 0) "PartsCorrect" )
	(setf (aref zweiteTabelle 3 0) "AVGGesponsetimmeALL")

)

(defun writeTabelle(i x y)
	(setf (aref ersteTabelle x y) i )
)

(defun printArray(array) ;diese funktion printet das Array spaltenweise
  (loop for i from 0 below (array-dimension array 0)
        do (loop for j from 0 below (array-dimension array 1)
                 do (princ (aref array i j))
                    (if (= j (1- (array-dimension array 1)))
                        (terpri)
                        (princ #\Space)
					)
			)
	)
)
 
(defun fileTabelle(array name)
	(with-open-file (stream name :direction :output :if-exists :append :if-does-not-exist :create)
		(loop for i from 0 below (array-dimension array 0)
			do (loop for j from 0 below (array-dimension array 1)
					 do (format stream (write-to-string (aref array i j)))
						(if (= j (1- (array-dimension array 1)))
							(terpri stream)
							(format stream ";")
						)
				)
		)
	)
)

(defun alles()
	(startTabelle) ;hier wird die große Tabelle erstellt und später im Verlauf des Versuches dann befüllt
	(dotimes (i 40)
		(reset)
		(do-all)
		(setq targets nil) ;für get-list
		(setq nontargets nil) ;für get-list
		(setq countp 0) ;counter für do-bloxs
		(setq trialcount 1) ;soll die trials in den blöcken zählen
		(setq blockcount 1) ;soll die blöcke zählen
		(setq correctcount 0) ;soll die corrects in den blöcken zählen
		(setq timecalc 0) ;soll die kommulierte Responsetime enthalten (nur correcte responses)
		(setq timecalcALL 0) ;soll die kommulierte Responsetime enthalten
		(setq richtigeantwort 3) ;speichert die richtige Antwort: 0 oder 1
	)
)

;==================================================================ACT-R==================================================================


(define-model ton1 ;um in ACT-R ein Model zu laden ist das nötig

(sgp :v nil :er t :esc t :ul t :trace-detail low :sound-decay-time 5 :rt 0 :declarative-finst-span 100)

(chunk-type control steering-1 steering-2 strategy complexity state change-detected)
(chunk-type strategy complexity volume duration frequence content response not-response first-correct further-correct count evaluate)
(chunk-type tone volume content duration frequence)

; (defun log-item (item1 item2);item3?
	; (with-open-file (f "strategies.txt" :direction :output :if-exists :append :if-does-not-exist :create)
	; (format f "~6,3F ~A ~A ~A~C~%" (mp-time) *model* item1 item2 #\return)));item3?

(defun log-item (item1 item2 item3 item4);item3?
	(with-open-file (f "strategies.txt" :direction :output :if-exists :append :if-does-not-exist :create)
	(format f "~6,3F ~A ~A ~A ~A ~A~C~%" (mp-time) *model* item1 item2 item3 item4 #\return)));item3?	
	
(add-dm 
 (fgoal isa control)
 ;; Strategy Chunks
 
 ;; All -1-Strategy 
 ;volume;;;;;;;;;;;;;;;;;;;;;;;;;;;
 
 (s_1_loud-1 isa strategy complexity 1 volume loud response 1 not-response 0)
 (s_1_quiet-1 isa strategy complexity 1 volume quiet response 1 not-response 0)
 (s_1_loud-0 isa strategy complexity 1 volume loud response 0 not-response 1)
(s_1_quiet-0 isa strategy complexity 1 volume quiet response 0 not-response 1)
 
 ;content ;;;;;;;;;;;;;;;;;;;;;;;;;;;
 
 (s_1_falling-1 isa strategy complexity 1 content falling response 1 not-response 0)
 (s_1_rising-1 isa strategy complexity 1 content rising response 1 not-response 0)
 (s_1_falling-0 isa strategy complexity 1 content falling response 0 not-response 1)
(s_1_rising-0 isa strategy complexity 1 content rising response 0 not-response 1)
 
 ;duration ;;;;;;;;;;;;;;;;;;;;;;;;;;;
 
  (s_1_long-1 isa strategy complexity 1 duration long response 1 not-response 0)
 (s_1_short-1 isa strategy complexity 1 duration short response 1 not-response 0)
  (s_1_long-0 isa strategy complexity 1 duration long response 0 not-response 1)
(s_1_short-0 isa strategy complexity 1 duration short response 0 not-response 1)

 ;frequence ;;;;;;;;;;;;;;;;;;;;;;;;;;;
  (s_1_low-1 isa strategy complexity 1 frequence low response 1 not-response 0)
 (s_1_high-1 isa strategy complexity 1 frequence high response 1 not-response 0)
  (s_1_low-0 isa strategy complexity 1 frequence low response 0 not-response 1)
(s_1_high-0 isa strategy complexity 1 frequence high response 0 not-response 1)
 
 
 ;; All- 2-strategy-2
 
 ;low-long
  (sllo1 isa strategy complexity 2 frequence low duration long response 1 not-response 0)
  (sllo0 isa strategy complexity 2 frequence low duration long response 0 not-response 1)
  
 ;low-short
  (sls1 isa strategy complexity 2 frequence low duration short response 1 not-response 0)
  (sls0 isa strategy complexity 2 frequence low duration short response 0 not-response 1)
  
 ;low-falling
  (slof1 isa strategy complexity 2 content falling frequence low response 1 not-response 0)
  (slof0 isa strategy complexity 2 content falling frequence low response 0 not-response 1)
 
 ;low-rising
 (slor1 isa strategy complexity 2 content rising frequence low response 1 not-response 0)
 (slor0 isa strategy complexity 2 content rising frequence low response 0 not-response 1)
 
 ;low-loud
 (slol1 isa strategy complexity 2 volume loud frequence low response 1 not-response 0)
 (slol0 isa strategy complexity 2 volume loud frequence low response 0 not-response 1)
 
 ;low-quiet
 (sql1 isa strategy complexity 2 volume quiet frequence low response 1 not-response 0)
 (sql0 isa strategy complexity 2 volume quiet frequence low response 0 not-response 1)
 
 ;high-long
 (shlo1 isa strategy complexity 2 frequence high duration long response 1 not-response 0)
 (shlo0 isa strategy complexity 2 frequence high duration long response 0 not-response 1)
 
 ;high-short
 (shs1 isa strategy complexity 2 frequence high duration short response 1 not-response 0)
 (shs0 isa strategy complexity 2 frequence high duration short response 0 not-response 1)
  
 ;high-falling
 (shf1 isa strategy complexity 2 frequence high content falling response 1 not-response 0)
 (shf0 isa strategy complexity 2 frequence high content falling response 0 not-response 1)
 
 ;high-rising
 (shr1 isa strategy complexity 2 frequence high content rising response 1 not-response 0)
 (shr0 isa strategy complexity 2 frequence high content rising response 0 not-response 1)
 
 ;high-loud
  (shl1 isa strategy complexity 2 frequence high volume loud response 1 not-response 0)
  (shl0 isa strategy complexity 2 frequence high volume loud response 0 not-response 1)
  
 ;high-quiet
 (shq1 isa strategy complexity 2 frequence high volume quiet response 1 not-response 0)
 (shq0 isa strategy complexity 2 frequence high volume quiet response 0 not-response 1)
  
 ;long-falling
 (slf1 isa strategy complexity 2 content falling duration long response 1 not-response 0)
 (slf0 isa strategy complexity 2 content falling duration long response 0 not-response 1)
 
 ;long-rising
  (slr1 isa strategy complexity 2 content rising duration long response 1 not-response 0)
  (slr0 isa strategy complexity 2 content rising duration long response 0 not-response 1)
  
 ;long-quiet
  (slq1 isa strategy complexity 2 volume quiet duration long response 1 not-response 0)
  (slq0 isa strategy complexity 2 volume quiet duration long response 0 not-response 1)
 
 ;long-loud
  (sll1 isa strategy complexity 2 volume loud duration long response 1 not-response 0)
  (sll0 isa strategy complexity 2 volume loud duration long response 0 not-response 1)
 
 ;short-falling
  (ssf1 isa strategy complexity 2 content falling duration short response 1 not-response 0)
  (ssf0 isa strategy complexity 2 content falling duration short response 0 not-response 1)
  
 ;short-rising
  (ssr1 isa strategy complexity 2 content rising duration short response 1 not-response 0)
  (ssr0 isa strategy complexity 2 content rising duration short response 0 not-response 1)
  
 ;short-quiet
  (ssq1 isa strategy complexity 2 volume quiet duration short response 1 not-response 0)
  (ssq0 isa strategy complexity 2 volume quiet duration short response 0 not-response 1)
  
 ;short-loud
  (ssl1 isa strategy complexity 2 volume loud duration short response 1 not-response 0)
  (ssl0 isa strategy complexity 2 volume loud duration short response 0 not-response 1)
 
 ;falling-loud
  (sfl1 isa strategy complexity 2 content falling volume loud response 1 not-response 0)
  (sfl0 isa strategy complexity 2 content falling volume loud response 0 not-response 1)
  
 ;falling-quiet
  (sfq1 isa strategy complexity 2 content falling volume quiet response 1 not-response 0)
  (sfq0 isa strategy complexity 2 content falling volume quiet response 0 not-response 1)
 
 ;rising-loud
  (srl1 isa strategy complexity 2 content rising volume loud response 1 not-response 0)
  (srl0 isa strategy complexity 2 content rising volume loud response 0 not-response 1)
 
 ;rising-quiet
  (srq1 isa strategy complexity 2 content rising volume quiet response 1 not-response 0)
  (srq0 isa strategy complexity 2 content rising volume quiet response 0 not-response 1)
    
 )
 
 
(P start0
 ?goal>
	buffer empty 
 ==>
 +goal>
	isa control
	complexity 1
	steering-1 starting
+retrieval>
	isa strategy
	complexity 1
!eval! (log-item "New Model Run" "" "" "")
	)

	
(P start0-1-copy-into-imaginal-volume
=goal>
steering-1 starting
=retrieval>
isa strategy
complexity 1
volume =vol
response =res
not-response =nres
==>
=goal>
steering-1 have-imaginal
+imaginal>
isa strategy 
complexity 1
volume =vol
response =res
not-response =nres
!eval! (log-item 1 =vol =res "")
)

(P start0-1-copy-into-imaginal-duration
=goal>
steering-1 starting
=retrieval>
isa strategy
duration =dur
response =res
not-response =nres
==>
=goal>
steering-1 have-imaginal
+imaginal>
isa strategy 
complexity 1
duration =dur
response =res
not-response =nres
!eval! (log-item 1 =dur =res "")
)

(P start0-1-copy-into-imaginal-content
=goal>
steering-1 starting
=retrieval>
isa strategy
content =k
response =res
not-response =nres
==>
=goal>
steering-1 have-imaginal
+imaginal>
isa strategy 
complexity 1
content =k
response =res
not-response =nres
!eval! (log-item 1 =k =res "")
)

(P start0-1-copy-into-imaginal-frequence
=goal>
steering-1 starting
=retrieval>
isa strategy
frequence =f
response =res
not-response =nres
==>
=goal>
steering-1 have-imaginal
+imaginal>
isa strategy 
not-response =nres
complexity 1
frequence =f
response =res
!eval! (log-item 1 =f =res "")
)

 (P begin
=goal>
steering-1 wait
?aural-location>
attended nil
	buffer full
==>
=goal>
steering-1 have-imaginal
	!eval! (log-item "New Trial" countp "" "")
)
 
 (p listen-a-tone 
 =goal>
	steering-1 have-imaginal
 ?aural-location>
	attended nil
	buffer full
==>
=goal>
	steering-1 one
 )
 

 (p listen-a-tone-1
 =goal>
steering-1 one
 ?aural-location>
 attended nil
 buffer full
 finished nil
==>
=goal>
steering-1 one
 )
  

 (p encode-sound 
	=goal>
	steering-1 one
	?aural>
	state free
	?aural-location>
	finished t
	=aural-location>
   ==>
   =goal>
	steering-1 encoding
   +aural>
     event   =aural-location
	-aural-location> 
	)
	

 ;;;;;;COMPARE AURAL AND IM (STRATEGIE) 
 ;;;;type 1

 (P react-PAUSE
 =goal>
	steering-1 encoding
 =imaginal>
=aural>
	isa sound
	content "pause"
==>
=imaginal>
=aural>
	isa sound	
=goal>
	steering-1 wait
-aural>)
 
 (P react-compare-frequence-same
 =goal>
	steering-1 encoding
	complexity 1
 =imaginal>
	complexity 1
	frequence =fr
	response =res
=aural>
	isa sound
	- kind word ;not for feedback
	frequence =fr	
?manual>
	state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key ;;;; Manual
	key =res
=goal>
	steering-1 wait-for-feedback
-aural>)
 
 (P react-compare-volume-same
  =goal>
 steering-1 encoding
	complexity 1
 =imaginal>
	complexity 1
	response =res
=aural>
isa sound
	- kind word ;not for feedback
	vol =v
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =res
=goal>
	steering-1 wait-for-feedback
-aural>)
 
 (P react-compare-duration-same
  =goal>
	 steering-1 encoding
	 complexity 1
 =imaginal>
	complexity 1
	duration =d
	response =res
=aural>
isa sound
	- kind word ;not for feedback
	kind =d
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =res
=goal>
	steering-1 wait-for-feedback
-aural>)
 
 (P react-compare-content-same
  =goal>
	 steering-1 encoding
	 complexity 1
 =imaginal>
	complexity 1
	content =c
	response =res
=aural>
isa sound
	- kind word 
	content =c
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =res
=goal>
	steering-1 wait-for-feedback
-aural>)
  
 (P react-compare-frequency-different
 =goal>
	 steering-1 encoding
	 complexity 1
 =imaginal>
	complexity 1
	frequence =f
	response =res
	not-response =nres
=aural>
isa sound
	- kind word 
	- frequence =f
?manual>
state free
==>
+manual>
	cmd press-key
	key =nres
=imaginal>
=aural>
	isa sound	
=goal>
	steering-1 wait-for-feedback
-aural>)
 
  
 (P react-compare-volume-different
  =goal>
	steering-1 encoding
 complexity 1
 =imaginal>
	complexity 1
	volume =f
	response =res
	not-response =nres
=aural>
isa sound
	- kind word ;not for feedback
	- vol =f
?manual>
state free
==>
+manual>
	cmd press-key
	key =nres
=imaginal>
=aural>
	isa sound	
=goal>
	steering-1 wait-for-feedback
)

 (P react-compare-duration-different
  =goal>
	steering-1 encoding
	complexity 1
 =imaginal>
	complexity 1
	duration =f
	response =res
	not-response =nres
=aural>
isa sound
	- kind word ;not for feedback
	- kind =f
?manual>
state free
==>
+manual>
	cmd press-key
	key =nres
=imaginal>
=aural>
	isa sound	
=goal>
	steering-1 wait-for-feedback
)

 (P react-compare-content-different
  =goal>
	steering-1 encoding
	complexity 1
 =imaginal>
	complexity 1
	content =f
	response =res
not-response =nres
=aural>
isa sound
	- kind word ;not for feedback
	- content =f
?manual>
state free
==>
+manual>
	cmd press-key
	key =nres
=imaginal>
=aural>
	isa sound	
=goal>
steering-1 wait-for-feedback
)

 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;______________
 ;;;; 2
 ;frequence-duration

(P react-compare-frequence-duration-same
 =goal>
 steering-1 encoding
 complexity 2
=imaginal>
	complexity 2
	frequence =low
	duration =dur
	response =res
=aural>
isa sound
	- kind word ;not for feedback
	kind =dur
	frequence =low	
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =res
=goal>
	steering-1 wait-for-feedback
-aural>)

 (P react-compare-frequence-duration-different-1
 =goal>
 steering-1 encoding
 complexity 2
=imaginal>
	complexity 2
	frequence =low
	duration =dur
	not-response =nres
=aural>
isa sound
	- kind word ;not for feedback
	- kind =dur
	frequence =low	
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =nres
=goal>
	steering-1 wait-for-feedback
-aural>)
 
 (P react-compare-frequence-duration-different-2
 =goal>
 steering-1 encoding
 complexity 2
=imaginal>
	complexity 2
	frequence =low
	duration =dur
	not-response =nres
=aural>
isa sound
	- kind word ;not for feedback
	kind =dur
	- frequence =low	
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =nres
=goal>
	steering-1 wait-for-feedback
-aural>)
 
  (P react-compare-frequence-duration-different-3
 =goal>
 steering-1 encoding
 complexity 2
=imaginal>
	complexity 2
	frequence =low
	duration =dur
	not-response =nres
=aural>
isa sound
	- kind word ;not for feedback
	- kind =dur
	- frequence =low	
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =nres
=goal>
	steering-1 wait-for-feedback
-aural>)
 
 
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;frequence-volume
 (P react-strategy-compare-frequence-volume-same
 =goal>
	steering-1 encoding
	complexity 2
=imaginal>
	complexity 2
	frequence =low
	volume =vol
	response =res
=aural>
	isa sound
	- kind word ;not for feedback
	vol =vol
	frequence =low	
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =res
=goal>
	steering-1 wait-for-feedback
-aural>)
 
  (P react-strategy-compare-frequence-volume-different-1
 =goal>
	steering-1 encoding
	complexity 2
=imaginal>
	complexity 2
	frequence =low
	volume =vol
	not-response =nres
=aural>
	isa sound
	- kind word ;not for feedback
	- vol =vol
	frequence =low	
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =nres
=goal>
	steering-1 wait-for-feedback
-aural>)
 
   (P react-strategy-compare-frequence-volume-different-2
 =goal>
	steering-1 encoding
	complexity 2
=imaginal>
	complexity 2
	frequence =low
	volume =vol
	not-response =nres
=aural>
	isa sound
	- kind word ;not for feedback
	- vol =vol
	- frequence =low	
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =nres
=goal>
	steering-1 wait-for-feedback
-aural>)
 
    (P react-strategy-compare-frequence-volume-different-3
 =goal>
	steering-1 encoding
	complexity 2
=imaginal>
	complexity 2
	frequence =low
	volume =vol
	not-response =nres
=aural>
	isa sound
	- kind word ;not for feedback
	 vol =vol
	- frequence =low	
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =nres
=goal>
	steering-1 wait-for-feedback
-aural>)
 
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;frequence-content
 (P react-compare-frequence-content-same
 =goal>
	steering-1 encoding
	complexity 2
=imaginal>
	complexity 2
	frequence =low
	content =con
	response =res
=aural>
isa sound
	- kind word ;not for feedback
	content =con
	frequence =low	
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =res
=goal>
	steering-1 wait-for-feedback
-aural>)
 
  (P react-compare-frequence-content-different-1
 =goal>
	steering-1 encoding
	complexity 2
=imaginal>
	complexity 2
	frequence =low
	content =con
	not-response =nres
=aural>
isa sound
	- kind word ;not for feedback
	- content =con
	frequence =low	
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =nres
=goal>
	steering-1 wait-for-feedback
-aural>)
 
   (P react-compare-frequence-content-different-2
 =goal>
	steering-1 encoding
	complexity 2
=imaginal>
	complexity 2
	frequence =low
	content =con
	not-response =nres
=aural>
isa sound
	- kind word ;not for feedback
	- content =con
	- frequence =low	
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =nres
=goal>
	steering-1 wait-for-feedback
-aural>)
 
    (P react-compare-frequence-content-different-3
 =goal>
	steering-1 encoding
	complexity 2
=imaginal>
	complexity 2
	frequence =low
	content =con
	not-response =nres
=aural>
isa sound
	- kind word ;not for feedback
	 content =con
	- frequence =low	
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =nres
=goal>
	steering-1 wait-for-feedback
-aural>)
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;duration-volume
 (P react-strategy-compare-volume-duration-same
 =goal>
 steering-1 encoding
 complexity 2
=imaginal>
	complexity 2
	volume =vol
	duration =dur
	response =res
=aural>
isa sound
	- kind word ;not for feedback
	kind =dur
	frequence =low	
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =res
=goal>
	steering-1 wait-for-feedback
-aural>)
 
  (P react-strategy-compare-volume-duration-different-1
 =goal>
 steering-1 encoding
 complexity 2
=imaginal>
	complexity 2
	volume =vol
	duration =dur
	not-response =nres
=aural>
isa sound
	- kind word ;not for feedback
	- kind =dur
	frequence =low	
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =nres
=goal>
	steering-1 wait-for-feedback
-aural>)
 
   (P react-strategy-compare-volume-duration-different-2
 =goal>
 steering-1 encoding
	complexity 2
=imaginal>
	complexity 2
	volume =vol
	duration =dur
	not-response =nres
=aural>
isa sound
	- kind word ;not for feedback
	- kind =dur
	- volume =vol	
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =nres
=goal>
	steering-1 wait-for-feedback
-aural>)
 
  (P react-strategy-compare-volume-duration-different-3
 =goal>
 steering-1 encoding
	complexity 2
=imaginal>
	complexity 2
	volume =vol
	duration =dur
	not-response =nres
=aural>
isa sound
	- kind word ;not for feedback
	kind =dur
	- volume =vol	
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =nres
=goal>
	steering-1 wait-for-feedback
-aural>)
 
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;duration-content
 
 (P react-compare-content-duration-same 
 =goal>
	steering-1 encoding
	complexity 2
=imaginal>
	complexity 2
	content =con
	duration =dur
	response =res
=aural>
isa sound
	- kind word ;not for feedback
	kind =dur
	content =con
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =res
=goal>
	steering-1 wait-for-feedback
-aural>)
 
  
 (P react-compare-content-duration-different-1
 =goal>
	steering-1 encoding
	complexity 2
=imaginal>
	complexity 2
	content =con
	duration =dur
	not-response =nres
=aural>
isa sound
	- kind word ;not for feedback
	- kind =dur
	content =con
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =nres
=goal>
	steering-1 wait-for-feedback
-aural>)
 
  (P react-compare-content-duration-different-2
 =goal>
	steering-1 encoding
	complexity 2
=imaginal>
	complexity 2
	content =con
	duration =dur
	not-response =nres
=aural>
isa sound
	- kind word ;not for feedback
	- kind =dur
	- content =con
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =nres
=goal>
	steering-1 wait-for-feedback
-aural>)
 
   (P react-compare-content-duration-different-3
 =goal>
	steering-1 encoding
	complexity 2
=imaginal>
	complexity 2
	content =con
	duration =dur
	not-response =nres
=aural>
isa sound
	- kind word ;not for feedback
	kind =dur
	- content =con
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =nres
=goal>
	steering-1 wait-for-feedback
-aural>)

 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;volume-content
 (P react-compare-content-volume-same
 =goal>
 steering-1 encoding
 complexity 2
=imaginal>
	complexity 2
	content =con
	volume =vol
	response =nres
=aural>
isa sound
	- kind word ;not for feedback
	vol =vol
	content =con
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =nres
=goal>
	steering-1 wait-for-feedback
-aural>)
 
  (P react-compare-content-volume-different-1
 =goal>
 steering-1 encoding
 complexity 2
=imaginal>
	complexity 2
	content =con
	volume =vol
	not-response =nres
=aural>
isa sound
	- kind word ;not for feedback
	- vol =vol
	content =con
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =nres
=goal>
	steering-1 wait-for-feedback
-aural>)

   (P react-compare-content-volume-different-2
 =goal>
 steering-1 encoding
 complexity 2
=imaginal>
	complexity 2
	content =con
	volume =vol
	not-response =nres
=aural>
isa sound
	- kind word ;not for feedback
	- vol =vol
	- content =con
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =nres
=goal>
	steering-1 wait-for-feedback
-aural>)
 
   (P react-compare-content-volume-different-3
 =goal>
 steering-1 encoding
 complexity 2
=imaginal>
	complexity 2
	content =con
	volume =vol
	not-response =nres
=aural>
isa sound
	- kind word ;not for feedback
	 vol =vol
	- content =con
?manual>
state free
==>
=imaginal>
=aural>
	isa sound	
+manual>
	cmd press-key
	key =nres
=goal>
	steering-1 wait-for-feedback
-aural>)
 

 ;;;;listen-feedback
 (p listen-feedback
 =goal>
	steering-1 wait-for-feedback
 ?aural-location>
	attended nil
	buffer full
	finished nil
==>
=goal>
	steering-1 listening-feedback
 )
 
  (p listen-feedback-1 ;;;variation
 =goal>
	steering-1 wait-for-feedback
 ?aural-location>
	attended nil
==>
=goal>
	steering-1 listening-feedback
)
 
 
 (p encode-feedback
	=goal>
		steering-1 listening-feedback
	?aural>
		state free
	?aural-location>
		finished t
	=aural-location>
   ==>
   =goal>
		steering-1 encoding-feedback
   +aural>
		event   =aural-location
	-aural-location> 
	)
	
 ;;;;;;;PROCESS-FEEDBACK;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

 (P process-feedback-correct-0-1
 =goal>
	steering-1 encoding-feedback
 =imaginal>
	isa strategy
	first-correct nil
	count nil
 =aural>
	content "correct"
 ==>
 =imaginal>
	first-correct yes
	count 1
 -aural>
 -aural-location>
 =goal>
	steering-1 wait
	!eval! (log-item "correct" "0-1" "" "")
 )
 
 (P process-feedback-correct-1-2
 =goal>
	steering-1 encoding-feedback
 =imaginal>
	isa strategy
	first-correct yes
	further-correct nil
	count 1
 =aural>
	content "correct"
 ==>
 =imaginal>
	further-correct yes
	count 2
 -aural>
 -aural-location>
 =goal>
	steering-1 wait
	!eval! (log-item "correct" "1-2" "" "")
 )
 
  (P process-feedback-correct-2-3
 =goal>
	steering-1 encoding-feedback
 =imaginal>
	isa strategy
	count 2
 =aural>
	content "correct"
 ==>
 =imaginal>
	count 3
 -aural>
 -aural-location>
 =goal>
	steering-1 wait
	!eval! (log-item "correct" "2-3" "" "")
 )
 
(P process-feedback-correct-3-high-1cx
 =goal>
	steering-1 encoding-feedback
	- complexity 2
 =imaginal>
	isa strategy
	count 3
 =aural>
	content "correct"
 ==>
 =imaginal>
	count high
 -aural>
 -aural-location>
 =goal>
	steering-1 wait
	!eval! (log-item "correct" "3high" "" 1)
 )
 


    (P process-feedback-correct-4-2cx
 =goal>
	steering-1 encoding-feedback
	complexity 2
 =imaginal>
	isa strategy
	count 3
 =aural>
	content "correct"
 ==>
 =imaginal>
	count 4
 -aural>
 -aural-location>
 =goal>
	steering-1 wait
	!eval! (log-item "correct" "34" "" 2)
 )
 
     (P process-feedback-correct-5-2cx
 =goal>
	steering-1 encoding-feedback
	complexity 2
 =imaginal>
	isa strategy
	count 4
 =aural>
	content "correct"
 ==>
 =imaginal>
	count 5
 -aural>
 -aural-location>
 =goal>
	steering-1 wait
	!eval! (log-item "correct" "45" "" 2)
 )
 
     (P process-feedback-correct-6-2cx
 =goal>
	steering-1 encoding-feedback
	complexity 2
 =imaginal>
	isa strategy
	count 5
 =aural>
	content "correct"
 ==>
 =imaginal>
	count 6
 -aural>
 -aural-location>
 =goal>
	steering-1 wait
	!eval! (log-item "correct" "56" "" 2)
 )
 
    (P process-feedback-correct-67-2cx
 =goal>
	steering-1 encoding-feedback
	- complexity 1
 =imaginal>
	isa strategy
	count 6
 =aural>
	content "correct"
 ==>
 =imaginal>
	count 7
 -aural>
 -aural-location>
 =goal>
	steering-1 wait
	!eval! (log-item "correct" "67" "" 2)
 )
 
 
  (P process-feedback-correct-78-2cx
 =goal>
	steering-1 encoding-feedback
	- complexity 1
 =imaginal>
	isa strategy
	count 7
 =aural>
	content "correct"
 ==>
 =imaginal>
	count 8
 -aural>
 -aural-location>
 =goal>
	steering-1 wait
	!eval! (log-item "correct" "78" "" 2)
 )
 
    (P process-feedback-correct-8high-2cx
 =goal>
	steering-1 encoding-feedback
	- complexity 1
 =imaginal>
	isa strategy
	count 8
 =aural>
	content "correct"
 ==>
 =imaginal>
	count high
 -aural>
 -aural-location>
 =goal>
	steering-1 wait
	!eval! (log-item "correct" "8high" "" 2)
 )
  
   
    (P process-feedback-correct-high
 =goal>
	steering-1 encoding-feedback
;	- complexity 2
 =imaginal>
	isa strategy
	count high
 =aural>
	content "correct"
 ==>
 =imaginal>
	count high
 -aural>
 -aural-location>
 =goal>
	steering-1 wait
	!eval! (log-item "correct" "high-high" "" "")
 )

 
 ;;;; Produktionen
;;;;;;;PROCESS-FEEDBACK WRONG;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;COMPLEXITY 1
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;COUNT NIL
;;;VOLUME P1
  (P wrong-first0-cx1-volume 
  =goal>
	steering-1 encoding-feedback
 =imaginal>
	complexity 1
	first-correct nil
	volume =vol
	response =res
 =aural>
	content "wrong"
 ==>
 +retrieval>
 :recently-retrieved nil
  complexity 1
 - response =res
 - evaluate wrong
	volume =vol
 =imaginal>
	evaluate wrong
 =goal>
	steering-2 1
  )
  
  (P copyimaginal-first0-cx1-volume 
  =goal>
	steering-2 1
  =imaginal>
	evaluate wrong
  =retrieval>
	complexity 1
	response =res
	volume =vol
	not-response =nres
	first-correct nil
	further-correct nil
	count nil
  ==>
  =goal>
	steering-2 nil
	steering-1 wait
  -imaginal>
  +imaginal>
  isa strategy
	complexity 1
	response =res
    volume =vol
	not-response =nres
	first-correct nil
	further-correct nil
	count nil
	!eval! (log-item 1 =vol =res "")
	!eval! (log-item "change12retrievalfailure_any1-first0-cx1" 2 "" "")
  )
  
   (P wrong-first0-cx1-content
  =goal>
	steering-1 encoding-feedback
 =imaginal>
	complexity 1
	first-correct nil
	content =con
	response =res
 =aural>
	content "wrong"
 ==>
 +retrieval>
 :recently-retrieved nil
  complexity 1
 - response =res
 - evaluate wrong
	content =con
 =imaginal>
	evaluate wrong
 =goal>
	steering-2 1
  )
  
  (P copyimaginal-first0-cx1-content
  =goal>
	steering-2 1
  =imaginal>
	evaluate wrong
  =retrieval>
	complexity 1
	response =res
	content =con
	not-response =nres
	first-correct nil
	further-correct nil
	count nil
  ==>
  =goal>
	steering-2 nil
	steering-1 wait
  -imaginal>
  +imaginal>
  isa strategy
	complexity 1
	response =res
    content =con
	not-response =nres
	first-correct nil
	further-correct nil
	count nil
	!eval! (log-item 1 =con =res "")
  )
  
    (P wrong-first0-cx1-frequence
  =goal>
	steering-1 encoding-feedback
 =imaginal>
	complexity 1
	first-correct nil
	frequence =fr
	response =res
 =aural>
	content "wrong"
 ==>
 +retrieval>
 :recently-retrieved nil
  complexity 1
 - response =res
 - evaluate wrong
	frequence =fr
 =imaginal>
	evaluate wrong
 =goal>
	steering-2 1
  )
  
  (P copyimaginal-first0-cx1-frequence
  =goal>
	steering-2 1
  =imaginal>
	evaluate wrong
  =retrieval>
	complexity 1
	response =res
	frequence =fr
	not-response =nres
	first-correct nil
	further-correct nil
	count nil
  ==>
  =goal>
	steering-2 nil
	steering-1 wait
  -imaginal>
  +imaginal>
  isa strategy
	complexity 1
	response =res
	frequence =fr
	not-response =nres
	first-correct nil
	further-correct nil
	count nil
	!eval! (log-item 1 =fr =res "")
  )
  
    (P wrong-first0-cx1-duration
  =goal>
	steering-1 encoding-feedback
 =imaginal>
	complexity 1
	first-correct nil
	duration =dur
	response =res
 =aural>
	content "wrong"
 ==>
 +retrieval>
 :recently-retrieved nil
  complexity 1
 - response =res
 - evaluate wrong
	duration =dur
 =imaginal>
	evaluate wrong
 =goal>
	steering-2 1
  )
  
  (P copyimaginal-first0-cx1-duration
  =goal>
	steering-2 1
  =imaginal>
	evaluate wrong
  =retrieval>
	complexity 1
	response =res
	duration =dur
	not-response =nres
	first-correct nil
	further-correct nil
	count nil
  ==>
  =goal>
	steering-2 nil
	steering-1 wait
  -imaginal>
  +imaginal>
  isa strategy
	complexity 1
	response =res
	duration =dur
	not-response =nres
	first-correct nil
	further-correct nil
	count nil
	!eval! (log-item 1 =dur =res "")
  )
  ;;;;;; FIRST NIL AND RETRRIEVAL FAILURE--> MORE OPEN REQUEST, ANY 1-STrategy  
  ;;;; P1
  (P retrievalfailure_1-first0-cx1-all
  =goal>
	steering-2 1
  =imaginal>
	complexity 1
	evaluate wrong
?retrieval>
	state error
 ==>
 =imaginal>
 =goal>
	steering-2 1
	steering-1 2
+retrieval>
	complexity 1
	:recently-retrieved nil
	- evaluate wrong
  )

  ;;;; P2
(P copyimaginal-any1-first0-cx1-content
  =goal>
	steering-2 2
  =imaginal>
	complexity 1
	evaluate wrong
  =retrieval>
	complexity 1
	response =res
	not-response =nres
	content =con
 ==>
 -imaginal>
 =goal>
	steering-2 3
+imaginal>
	complexity 1
	response =res
	content =con
	not-response =nres
	first-correct nil
	further-correct nil
	count nil
	!eval! (log-item 1 =con =res "")
  )
  

  ;;;; P2
  (P copyimaginal-any1-first0-cx1-frequence
  =goal>
	steering-2 2
  =imaginal>
	complexity 1
	evaluate wrong
  =retrieval>
	complexity 1
	response =res
	not-response =nres
	frequence =fr
 ==>
 -imaginal>
 =goal>
	steering-1 wait
	steering-2 nil
+imaginal>
	complexity 1
	response =res
	frequence =fr
	not-response =nres
	first-correct nil
	further-correct nil
	count nil
	!eval! (log-item 1 =fr =res "")
  )
  
 
  ;;;; P2
  (P copyimaginal-any1-first0-cx1-duration
  =goal>
	steering-2 2
  =imaginal>
	complexity 1
	evaluate wrong
  =retrieval>
	complexity 1
	response =res
	not-response =nres
	duration =dur
 ==>
 -imaginal>
 =goal>
	steering-1 wait
	steering-2 nil
+imaginal>
	complexity 1
	response =res
	duration =dur
	not-response =nres
	first-correct nil
	further-correct nil
	count nil
	!eval! (log-item 1 =dur =res "")
  )
  
  ;;;; P2
  
  (P copyimaginal-any1-first0-cx1-volume
  =goal>
	steering-2 2
  =imaginal>
	complexity 1
	evaluate wrong
  =retrieval>
	complexity 1
	response =res
	not-response =nres
	volume =vol
 ==>
 -imaginal>
 =goal>
	steering-1 wait
	steering-2 nil
+imaginal>
	complexity 1
	response =res
	volume =vol
	not-response =nres
	first-correct nil
	further-correct nil
	count nil
	!eval! (log-item 1 =vol =res "")
  )
  
  ;;;;;;;;;;;;;;
  ;;FIRST NIL, RETRIEVAL FAILURE 1 (specific 1); RETRIEVAL FAILURE (any but the specific);; NOw Retrieve a two-complexity
  
  (P retrievalfailure_any1-first0-cx1
  =goal>
	steering-2 2
  =imaginal>
	complexity 1
	evaluate wrong
?retrieval>
	state error
==>
	+retrieval>
	isa strategy
	- evaluate wrong
	complexity 2
	=imaginal>
	=goal>
	steering-2 3
	!eval! (log-item "change12retrievalfailure_any1-first0-cx1" 2 "" "")
  )
  
 (P copyimaginal-anycx2-first0-cx1-vc
  =goal>
	steering-2 3
  =imaginal>
	complexity 1
	evaluate wrong
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	volume =vol
	content =con
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		volume =vol
		content =con
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
	!eval! (log-item 2 =vol =con =res)
  )
  
 (P copyimaginal-anycx2-first0-cx1-vd ;;;6 Variations. (volume, content)(volume duration) (volume frequence) (frequence content) (frequence duration) (duration content)
  =goal>
	steering-2 3
  =imaginal>
	complexity 1
	evaluate wrong
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	volume =vol
	duration =dur
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		volume =vol
		duration =dur
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
	!eval! (log-item 2 =vol =dur =res)
  )
  
 (P copyimaginal-anycx2-first0-cx1-vf ;;;6 Variations. (volume, content)(volume duration) (volume frequence) (frequence content) (frequence duration) (duration content)
  =goal>
	steering-2 3
  =imaginal>
	complexity 1
	evaluate wrong
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	volume =vol
	frequence =fr
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		volume =vol
		frequence =fr
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
	!eval! (log-item 2 =vol =fr =res)
  )
  
 (P copyimaginal-anycx2-first0-cx1-fc ;;;6 Variations. (volume, content)(volume duration) (volume frequence) (frequence content) (frequence duration) (duration content)
  =goal>
	steering-2 3
  =imaginal>
	complexity 1
	evaluate wrong
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	frequence =fr
	content =con
==>
-imaginal>
+imaginal>
	complexity 2
	response =res
	not-response =nres
	frequence =fr
	content =con
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
	!eval! (log-item 2 =con =fr =res)
  )
  
 (P copyimaginal-anycx2-first0-cx1-fd ;;;6 Variations. (volume, content)(volume duration) (volume frequence) (frequence content) (frequence duration) (duration content)
  =goal>
	steering-2 3
  =imaginal>
	complexity 1
	evaluate wrong
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	frequence =fr
	duration =dur
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		frequence =fr
		duration =dur
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
	!eval! (log-item 2 =fr =dur =res)
  )
  
 (P copyimaginal-anycx2-first0-cx1-dc ;;;6 Variations. (volume, content)(volume duration) (volume frequence) (frequence content) (frequence duration) (duration content)
  =goal>
	steering-2 3
  =imaginal>
	complexity 1
	evaluate wrong
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	duration =dur
	content =con
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		duration =dur
		content =con
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
	!eval! (log-item 2 =dur =con =res)
  )
  
   
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;;;;COMPLEXITY 1
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;COUNT 1

  (P wrong-firstyes-cx1-volume
  =goal>
	steering-1 encoding-feedback
	- state warry
 =imaginal>
	isa strategy
	response =res
	complexity 1
	first-correct yes
	volume =vol
	- count high
 =aural>
	content "wrong"
 ==>
 +retrieval>
 :recently-retrieved nil
  complexity 1
 - evaluate wrong
	volume nil
 =imaginal>
	evaluate wrong
 =goal>
	steering-1 encoding-feedback
	steering-2 A
  )
  
    (P wrong-firstyes-cx1-content
  =goal>
	steering-1 encoding-feedback
	- state warry
 =imaginal>
	isa strategy
	response =res
	complexity 1
	first-correct yes
	content =con
	- count high
 =aural>
	content "wrong"
 ==>
 +retrieval>
 :recently-retrieved nil
  complexity 1
 - evaluate wrong
   content nil
 =imaginal>
	evaluate wrong
 =goal>
	steering-1 encoding-feedback
	steering-2 A
  )
  
    (P wrong-firstyes-cx1-frequence
  =goal>
	steering-1 encoding-feedback
	- state warry
 =imaginal>
	isa strategy
	response =res
	complexity 1
	first-correct yes
	frequence =fr
	- count high
 =aural>
	content "wrong"
 ==>
 +retrieval>
 :recently-retrieved nil
  complexity 1
 - evaluate wrong
	frequence nil
 =imaginal>
	evaluate wrong
 =goal>
	steering-1 encoding-feedback
	steering-2 A
  )
  
    (P wrong-firstyes-cx1-duration
  =goal>
	steering-1 encoding-feedback
	- state warry
 =imaginal>
	isa strategy
	response =res
	complexity 1
	first-correct yes
	duration =dur
	- count high
 =aural>
	content "wrong"
 ==>
 +retrieval>
 :recently-retrieved nil
  complexity 1
 - evaluate wrong
	duration nil
 =imaginal>
	evaluate wrong
 =goal>
	steering-1 encoding-feedback
	steering-2 A
  )

  (P copyimaginal-any1but-firstyes-cx1-duration
  =goal>
	steering-2 A
  =imaginal>
	evaluate wrong
=retrieval>
	complexity 1
	response =res
	duration =dur
	not-response =nres
	first-correct nil
	further-correct nil
	count nil
  ==>
  =goal>
	steering-2 nil
	steering-1 wait
  -imaginal>
  +imaginal>
  isa strategy
	complexity 1
	response =res
	duration =dur
	not-response =nres
	first-correct nil
	further-correct nil
	count nil
	!eval! (log-item 1 =dur =res "")
  )  
  
    (P copyimaginal-any1but-firstyes-cx1-volume
  =goal>
	steering-2 A
  =imaginal>
	evaluate wrong
=retrieval>
	complexity 1
	response =res
	volume =vol
	not-response =nres
	first-correct nil
	further-correct nil
	count nil
  ==>
  =goal>
	steering-2 nil
	steering-1 wait
  -imaginal>
  +imaginal>
  isa strategy
	complexity 1
	response =res
	volume =vol
	not-response =nres
	first-correct nil
	further-correct nil
	count nil
	!eval! (log-item 1 =vol =res "")
  )  
  
    (P copyimaginal-any1but-firstyes-cx1-frequence
  =goal>
	steering-2 A
  =imaginal>
	evaluate wrong
=retrieval>
	complexity 1
	response =res
	frequence =fr
	not-response =nres
	first-correct nil
	further-correct nil
	count nil
  ==>
  =goal>
	steering-2 nil
	steering-1 wait
  -imaginal>
  +imaginal>
  isa strategy
	complexity 1
	response =res
	frequence =fr
	not-response =nres
	first-correct nil
	further-correct nil
	count nil
	!eval! (log-item 1 =fr =res "")
  )  
  
  (P copyimaginal-any1but-firstyes-cx1-content
  =goal>
	steering-2 A
  =imaginal>
	evaluate wrong
=retrieval>
	complexity 1
	response =res
	content =con
	not-response =nres
	first-correct nil
	further-correct nil
	count nil
  ==>
  =goal>
	steering-2 nil
	steering-1 wait
  -imaginal>
  +imaginal>
  isa strategy
	complexity 1
	response =res
	content =con
	not-response =nres
	first-correct nil
	further-correct nil
	count nil
	!eval! (log-item 1 =con =res "")
  )  
 
 (P retrievalfailure_any1-first1-cx1-volume-get-2
=goal>
	steering-2 A
=imaginal>
	evaluate wrong
	volume =vol
	response =res
=retrieval>
	state error
==>
=goal>
	steering-2 B
+retrieval>
  complexity 2
  volume =vol
  response =res
 - evaluate wrong
 =imaginal>
 !eval! (log-item "retrievalfailure_any1-first1-cx1-volume-get-2" =vol "" "")
 )
 
 (P retrievalfailure_any1-first1-cx1-duration-get-2
=goal>
	steering-2 A
=imaginal>
	evaluate wrong
	duration =dur
	response =res
=retrieval>
	state error
==>
=goal>
	steering-2 B
+retrieval>
  complexity 2
  duration =dur
  response =res
 - evaluate wrong
 =imaginal>
  !eval! (log-item "retrievalfailure_any1-first1-cx1-duration-get-2" =dur "" "")
 )
 
 (P retrievalfailure_any1-first1-cx1-frequence-get-2
=goal>
	steering-2 A
=imaginal>
	evaluate wrong
	frequence =fr
	response =res
=retrieval>
	state error
==>
=goal>
	steering-2 B
+retrieval>
  complexity 2
  frequence =fr
  response =res
 - evaluate wrong
 =imaginal>
  !eval! (log-item "retrievalfailure_any1-first1-cx1-frequence-get-2" =fr "" "")
 )
 
 (P retrievalfailure_any1-first1-cx1-content-get-2
=goal>
	steering-2 A
=imaginal>
	evaluate wrong
	content =con
	response =res
=retrieval>
	state error
==>
=goal>
	steering-2 B
+retrieval>
  complexity 2
  content =con
  response =res
 - evaluate wrong
 =imaginal>
   !eval! (log-item "retrievalfailure_any1-first1-cx1-content-get-2" =con "" "")
 )
  
  
 (P copyimaginal-CX2-firstyes-cx1-vc 
  =goal>
	steering-2 B
  =imaginal>
	complexity 1
	evaluate wrong
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	volume =vol
	content =con
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		volume =vol
		content =con
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
	!eval! (log-item 2 =con =vol =res)
  )
  
 (P copyimaginal-CX2-firstyes-cx1-vd
  =goal>
	steering-2 B
  =imaginal>
	complexity 1
	evaluate wrong
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	volume =vol
	duration =dur
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		volume =vol
		duration =dur
	-retrieval>
=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
	!eval! (log-item 2 =dur =vol =res)
  )
  
 (P copyimaginal-CX2-firstyes-cx1-vf ;;;6 Variations. (volume, content)(volume duration) (volume frequence) (frequence content) (frequence duration) (duration content)
  =goal>
	steering-2 B
  =imaginal>
	complexity 1
	evaluate wrong
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	volume =vol
	frequence =fr
==>
	-imaginal>
+imaginal>
		complexity 2
		response =res
		not-response =nres
		volume =vol
		frequence =fr
	-retrieval>
=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
	!eval! (log-item 2 =vol =fr =res)
  )
  
 (P copyimaginal-CX2-firstyes-cx1-fc ;;;6 Variations. (volume, content)(volume duration) (volume frequence) (frequence content) (frequence duration) (duration content)
  =goal>
	steering-2 B
  =imaginal>
	complexity 1
	evaluate wrong
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	frequence =fr
	content =con
==>
-imaginal>
+imaginal>
	complexity 2
	response =res
	not-response =nres
	frequence =fr
	content =con
	-retrieval>
=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
!eval! (log-item 2 =fr =con =res)	
	)
  
 (P copyimaginal-CX2-firstyes-cx1-fd ;;;6 Variations. (volume, content)(volume duration) (volume frequence) (frequence content) (frequence duration) (duration content)
  =goal>
	steering-2 B
  =imaginal>
	complexity 1
	evaluate wrong
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	frequence =fr
	duration =dur
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		frequence =fr
		duration =dur
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
	!eval! (log-item 2 =fr =dur =res)
  )
  
 (P copyimaginal-CX2-firstyes-cx1-dc ;;;6 Variations. (volume, content)(volume duration) (volume frequence) (frequence content) (frequence duration) (duration content)
  =goal>
	steering-2 3
  =imaginal>
	complexity 1
	evaluate wrong
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	duration =dur
	content =con
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		duration =dur
		content =con
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
	!eval! (log-item 2 =dur =con =res)
  )
  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

   (P wrong-high-wary-cx1-volume 
  =goal>
	steering-1 encoding-feedback
	state warry
 =imaginal>
	complexity 1
	volume =vol
	response =res
	count high
 =aural>
	content "wrong"
 ==>
 +retrieval>
 :recently-retrieved nil
  complexity 2
  response =res
 - evaluate wrong
	volume =vol
 =imaginal>
	evaluate wrong
 =goal>
	steering-2 3
	state nil
	  !eval! (log-item "wrong-high-wary-cx1-volume " =vol "" "")
  )
  
  
    (P wrong-high-wary-cx1-frequence 
  =goal>
	steering-1 encoding-feedback
	state warry
 =imaginal>
	complexity 1
	frequence =fre
	response =res
	count high
 =aural>
	content "wrong"
 ==>
 +retrieval>
 :recently-retrieved nil
  complexity 2
  response =res
 - evaluate wrong
	frequence =fre
 =imaginal>
	evaluate wrong
 =goal>
	steering-2 3
	state nil
	!eval! (log-item "wrong-high-wary-cx1-frequence" =fre "" "")
  )
  
     (P wrong-high-wary-cx1-duration
  =goal>
	steering-1 encoding-feedback
	state warry
 =imaginal>
	complexity 1
	duration =dur
	response =res
	count high
 =aural>
	content "wrong"
 ==>
 +retrieval>
 :recently-retrieved nil
  complexity 2
  response =res
 - evaluate wrong
	duration =dur
 =imaginal>
	evaluate wrong
 =goal>
	steering-2 3
	state nil
	!eval! (log-item "wrong-high-wary-cx1-duration" =dur "" "")
	)
  
     (P wrong-high-wary-cx1-content
  =goal>
	steering-1 encoding-feedback
	state warry
 =imaginal>
	complexity 1
	content =con
	response =res
	count high
 =aural>
	content "wrong"
 ==>
 +retrieval>
 :recently-retrieved nil
  complexity 2
  response =res
 - evaluate wrong
	content =con
 =imaginal>
	evaluate wrong
 =goal>
	steering-2 3
	state nil
	!eval! (log-item "wrong-high-wary-cx1-content" =con "" "")
  )
  
  
  (P wrong-high-cx1
  =goal>
	steering-1 encoding-feedback
	- state warry
 =imaginal>
	complexity 1
	response =res
	count high
 =aural>
	content "wrong"
 ==>
 =imaginal>
 =goal>
	state warry
	steering-1 wait
  )
  
  
  (P wrong-Cx2-first-nil
  =goal>
	steering-1 encoding-feedback
	change-detected nil
	- state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct nil
 =aural>
	content "wrong"
 ==>
 +retrieval>
 :recently-retrieved nil
 - evaluate wrong
	complexity 2
 =imaginal>
 evaluate wrong
 =goal>
 steering-2 11
  )
 
 (P wrong-Cx2-first-yes-vd-getvolume
  =goal>
	steering-1 encoding-feedback
	change-detected nil
	- state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	volume =vol
	duration =dur
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong
	 volume =vol
	 duration nil
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong
 =goal>
	steering-2 11
  )
  
   (P wrong-Cx2-first-yes-vd-getduration
  =goal>
	steering-1 encoding-feedback
	change-detected nil
	- state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	volume =vol
	duration =dur
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong
	 volume nil
	 duration =dur
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong
 =goal>
	steering-2 11
  )
  
     (P wrong-Cx2-first-yes-vf-getvolume
  =goal>
	steering-1 encoding-feedback
	change-detected nil
	- state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	volume =vol
	frequence =fr
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong
	 volume =vol
	frequence nil
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong
 =goal>
	steering-2 11
  )
  
       (P wrong-Cx2-first-yes-vf-getfrequence
  =goal>
	steering-1 encoding-feedback
	change-detected nil
	- state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	volume =vol
	frequence =fr
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong
	 volume nil
	frequence =fr
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong
 =goal>
	steering-2 11
  )
  
(P wrong-Cx2-first-yes-vc-getvolume
  =goal>
	steering-1 encoding-feedback
	change-detected nil
	- state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	volume =vol
	content =con
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong
	 volume =vol
	content nil
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong
 =goal>
	steering-2 11
  )
  
  
  (P wrong-Cx2-first-yes-vc-getcontent
  =goal>
	steering-1 encoding-feedback
	change-detected nil
	- state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	volume =vol
	content =con
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong
	 volume nil
	content =con
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong
 =goal>
	steering-2 11
  )
  
  
    (P wrong-Cx2-first-yes-df-getduration
  =goal>
	steering-1 encoding-feedback
	change-detected nil
	- state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	duration =dur
	frequence =fr
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong
	duration =dur
	frequence nil
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong
 =goal>
	steering-2 11
  )
  
  (P wrong-Cx2-first-yes-df-getfrequence
  =goal>
	steering-1 encoding-feedback
	change-detected nil
	- state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	duration =dur
	frequence =fr
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong
	duration nil
	frequence =fr
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong
 =goal>
	steering-2 11
  )
  
    (P wrong-Cx2-first-yes-dc-getcontent
  =goal>
	steering-1 encoding-feedback
	change-detected nil
	- state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	duration =dur
	content =con
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong
	duration =dur
	content nil
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong
 =goal>
	steering-2 11
  )
  
      (P wrong-Cx2-first-yes-dc-getduration
  =goal>
	steering-1 encoding-feedback
	change-detected nil
	- state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	duration =dur
	content =con
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong
	duration nil
	content =con
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong
 =goal>
	steering-2 11
  )
  
  
   (P wrong-Cx2-first-yes-cf-getcontent
  =goal>
	steering-1 encoding-feedback
	change-detected nil
	- state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	frequence =fr
	content =con
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong
	frequence nil
	content =con
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong
 =goal>
	steering-2 11
  )
  
      (P wrong-Cx2-first-yes-cf-getfrequence
  =goal>
	steering-1 encoding-feedback
	change-detected nil
	- state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	frequence =fr
	content =con
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong
	frequence =fr
	content nil
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong
 =goal>
	steering-2 11
  )
 
 (P wrong-Cx2-warry
  =goal>
	steering-1 encoding-feedback
	- state warry2
 =imaginal>
	complexity 2
	count high
 =aural>
	content "wrong"
 ==>
 =imaginal>
 =goal>
 steering-2 nil ;11???
 steering-1 wait
 state warry2 
  )
  
   (P wrong-Cx2-change-detected
  =goal>
	steering-1 encoding-feedback
	state warry2
 =imaginal>
	complexity 2
	count high
 =aural>
	content "wrong"
 ==>
 =imaginal>
	evaluate wrong2
 +retrieval>
 :recently-retrieved nil
 - evaluate wrong2
	complexity 2
 =goal>
	 steering-2 11
	 state nil
	 change-detected yes
  )
  
  (P wrong-Cx2-first-nil-2
  =goal>
	steering-1 encoding-feedback
	change-detected yes
	;state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct nil
 =aural>
	content "wrong"
 ==>
 +retrieval>
 :recently-retrieved nil
 - evaluate wrong2
	complexity 2
 =imaginal>
 evaluate wrong2
 =goal>
 steering-2 11
  )
 
 (P wrong-Cx2-first-yes-vd-getvolume-2
  =goal>
	steering-1 encoding-feedback
	change-detected yes
	;state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	volume =vol
	duration =dur
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong2
	 volume =vol
	 duration nil
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong2
 =goal>
	steering-2 11
  )
  
   (P wrong-Cx2-first-yes-vd-getduration-2
  =goal>
	steering-1 encoding-feedback
	change-detected yes
	;state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	volume =vol
	duration =dur
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong2
	 volume nil
	 duration =dur
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong2
 =goal>
	steering-2 11
  )
  
     (P wrong-Cx2-first-yes-vf-getvolume-2
  =goal>
	steering-1 encoding-feedback
	change-detected yes
	;state 
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	volume =vol
	frequence =fr
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong2
	 volume =vol
	frequence nil
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong2
 =goal>
	steering-2 11
  )
  
       (P wrong-Cx2-first-yes-vf-getfrequence-2
  =goal>
	steering-1 encoding-feedback
	change-detected yes
	;state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	volume =vol
	frequence =fr
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong2
	 volume nil
	frequence =fr
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong2
 =goal>
	steering-2 11
  )
  
(P wrong-Cx2-first-yes-vc-getvolume-2
  =goal>
	steering-1 encoding-feedback
	change-detected yes
	;state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	volume =vol
	content =con
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong2
	 volume =vol
	content nil
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong2
 =goal>
	steering-2 11
  )
  
  
  (P wrong-Cx2-first-yes-vc-getcontent-2
  =goal>
	steering-1 encoding-feedback
	change-detected yes
	;state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	volume =vol
	content =con
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong2
	 volume nil
	content =con
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong2
 =goal>
	steering-2 11
  )
  
  
    (P wrong-Cx2-first-yes-df-getduration-2
  =goal>
	steering-1 encoding-feedback
	change-detected yes
;	state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	duration =dur
	frequence =fr
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong2
	duration =dur
	frequence nil
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong2
 =goal>
	steering-2 11
  )
  
  (P wrong-Cx2-first-yes-df-getfrequence-2
  =goal>
	steering-1 encoding-feedback
	change-detected yes
	;state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	duration =dur
	frequence =fr
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong2
	duration nil
	frequence =fr
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong2
 =goal>
	steering-2 11
  )
  
    (P wrong-Cx2-first-yes-dc-getcontent-2
  =goal>
	steering-1 encoding-feedback
	change-detected yes
	;state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	duration =dur
	content =con
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong2
	duration =dur
	content nil
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong2
 =goal>
	steering-2 11
  )
  
      (P wrong-Cx2-first-yes-dc-getduration-2
  =goal>
	steering-1 encoding-feedback
	change-detected yes
	;state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	duration =dur
	content =con
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong2
	duration nil
	content =con
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong2
 =goal>
	steering-2 11
  )
  
  
   (P wrong-Cx2-first-yes-cf-getcontent-2
  =goal>
	steering-1 encoding-feedback
	change-detected yes
	;state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	frequence =fr
	content =con
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong2
	frequence nil
	content =con
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong2
 =goal>
	steering-2 11
  )
  
  (P wrong-Cx2-first-yes-cf-getfrequence-2
  =goal>
	steering-1 encoding-feedback
	change-detected yes
;	state warry2
 =imaginal>
	complexity 2
	- count high
	first-correct yes
	frequence =fr
	content =con
	response =res	
 =aural>
	content "wrong"
 ==>
 +retrieval>
	:recently-retrieved nil
	 - evaluate wrong2
	frequence =fr
	content nil
	 response =res
	complexity 2
 =imaginal>
	evaluate wrong2
 =goal>
	steering-2 11
  )
  
  
  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 (P copyimaginal-CX2-dc
 =goal>
	steering-2 11
  =imaginal>
	complexity 2
	evaluate wrong
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	duration =dur
	content =con
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		duration =dur
		content =con
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
		!eval! (log-item 2 =dur =con =res)
  )
  
  (P copyimaginal-CX2-vc
 =goal>
	steering-2 11
  =imaginal>
	complexity 2
	evaluate wrong
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	volume =vol
	content =con
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		volume =vol
		content =con
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
		!eval! (log-item 2 =vol =con =res)
  )
  
  (P copyimaginal-CX2-fc
 =goal>
	steering-2 11
  =imaginal>
	complexity 2
	evaluate wrong
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	frequence =fr
	content =con
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		frequence =fr
		content =con
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
		!eval! (log-item 2 =fr =con =res)
  )
  
  (P copyimaginal-CX2-fd
 =goal>
	steering-2 11
  =imaginal>
	complexity 2
	evaluate wrong
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	duration =dur
	frequence =fr
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		duration =dur
		frequence =fr
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
	!eval! (log-item 2 =dur =fr =res)
  )
  
  (P copyimaginal-CX2-fv
 =goal>
	steering-2 11
  =imaginal>
	complexity 2
	evaluate wrong
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	frequence =fr
	volume =vol
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		frequence =fr
		volume =vol
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
		!eval! (log-item 2 =fr =vol =res)
  )
  
  (P copyimaginal-CX2-dv
 =goal>
	steering-2 11
  =imaginal>
	complexity 2
	evaluate wrong
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	duration =dur
	volume =vol
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		duration =dur
		volume =vol
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
		!eval! (log-item 2 =dur =vol =res)
  )
  
  
  (P copyimaginal-CX2-dc2
 =goal>
	steering-2 11
  =imaginal>
	complexity 2
	evaluate wrong2
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	duration =dur
	content =con
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		duration =dur
		content =con
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
		!eval! (log-item 2 =dur =con =res)
  )
  
  (P copyimaginal-CX2-vc2
 =goal>
	steering-2 11
  =imaginal>
	complexity 2
	evaluate wrong2
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	volume =vol
	content =con
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		volume =vol
		content =con
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
		!eval! (log-item 2 =vol =con =res)
  )
  
  (P copyimaginal-CX2-fc2
 =goal>
	steering-2 11
  =imaginal>
	complexity 2
	evaluate wrong2
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	frequence =fr
	content =con
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		frequence =fr
		content =con
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
		!eval! (log-item 2 =fr =con =res)
  )
  
  (P copyimaginal-CX2-fd2
 =goal>
	steering-2 11
  =imaginal>
	complexity 2
	evaluate wrong2
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	duration =dur
	frequence =fr
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		duration =dur
		frequence =fr
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
		!eval! (log-item 2 =dur =fr =res)
  )
  
  (P copyimaginal-CX2-fv2
 =goal>
	steering-2 11
  =imaginal>
	complexity 2
	evaluate wrong2
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	frequence =fr
	volume =vol
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		frequence =fr
		volume =vol
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
		!eval! (log-item 2 =fr =vol =res)
  )
  
  (P copyimaginal-CX2-dv2
 =goal>
	steering-2 11
  =imaginal>
	complexity 2
	evaluate wrong2
  =retrieval>
	complexity 2
	response =res
	not-response =nres
	duration =dur
	volume =vol
==>
	-imaginal>
	+imaginal>
		complexity 2
		response =res
		not-response =nres
		duration =dur
		volume =vol
	-retrieval>
	=goal>
	steering-2 nil
	steering-1 wait
	complexity 2
		!eval! (log-item 2 =dur =vol =res)
  )
  
 
  (p wait-til-new-trial
 =goal>
steering-1 wait
 ?aural-location>
 buffer empty
==>
=goal>
steering-1 wait
 )

 )