;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;	Cognitive Model for Modelling of List Menus, Updates and Adaptations, Learning.
;;;	Please see model discription: 
;;;	Prezenski, S. and Russwinkel, N.(2016). Towards a General Model of Repeated App Usage. In D. Reitter & F. Ritter (Eds.), In Proc. of the 14th Int. ;;;Conference on Cognitive Modeling. Pennsylvania, USA.
;;;																					
;;;																					
;;; 								!WARNING: Paths have to be adjusted!									
;;; 													
;;;																					
;;;																					
;;;							Version  1									
;;;							 2016/06/10									
;;;					Copyright (C)  Sabine Prezenski	sabine.prezenski@tu-berlin.de			
;;;									
;;; 																				
;;;																					
;;;	To copy and/or distributed the file it is compulsary to cite:
;;; 	Prezenski, S. and Russwinkel, N.(2016). Towards a General Model of Repeated App Usage. In D. Reitter & F. Ritter (Eds.), In Proc. of the 14th Int. ;;;Conference on Cognitive Modeling. Pennsylvania, USA. 				
;;;	 			
;;;	 		
;;;						
;;;																					
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *Uebersicht* nil)
(defvar *Laeden* nil)
(defvar *Meineliste* nil)
(defvar *experiment-window* nil)
(defvar *visible* nil)
(defvar *version*)

(defun build-display ()
   (setf *experiment-window* (open-exp-window "Einkaufsliste" :visible t :x 50 :y 50 :width 380 :height 680))
   (setf *Uebersicht* (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "VERSIONA"))
   (setf *Laeden* (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "LAEDEN" :action #'button-laeden-pressed))
   (setf *Meineliste* (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "Einstellungen":action #'button-switchversion-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
   (setf *version* 'b)
   )


(defun button-back-pressed (button)
    (Clear-exp-window)
    (progn
    (setf *Uebersicht* (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "VERSIONA"))
    (setf *Laeden* (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "LAEDEN" :action #'button-laeden-pressed))
    (setf *Meineliste* (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "Einstellungen" :action #'button-switchversion-pressed))
    )
   (allow-event-manager *experiment-window*)
   (proc-display)
)	 

(defun button-laeden-pressed (button)
    (Clear-exp-window)
   (progn
    (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-back-pressed)
    (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "BAECKEREI" :action #'button-baeckerei-pressed)
    (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "DROGERIE" :action #'button-drogerie-pressed)
    (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "FRISCHEFEINKOST" :action #'button-frischefeinkost-pressed)
    (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "GEMUESEHAENDLER" :action #'button-gemuesehaendler-pressed) 
    (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "GETRAENKE" :action #'button-getraenke-pressed)
    (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "SCHREIBWARENLADEN" :action #'button-schreibwarenladen-pressed)
    (add-button-to-exp-window :x 5 :y 362  :height 50 :width 370 :text "TANTEEMMA" :action #'button-tanteemma-pressed)
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )

(defun button-baeckerei-pressed (button)
   (Clear-exp-window)
	(progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-laeden-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "AMERIKANER")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "APFELKUCHEN")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "APFELTASCHE")
   (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "BACKPULVER")
   (add-button-to-exp-window :x 5 :y 258 :height 50 :width 370 :text "BAUERNBROT")
   (add-button-to-exp-window :x 5 :y 310 :height 50 :width 370 :text "BIOROGGENBROT")
   (add-button-to-exp-window :x 5 :y 362 :height 50 :width 370 :text "BUCHWEIZENMEHL")
   (add-button-to-exp-window :x 5 :y 414 :height 50 :width 370 :text "BUTTERCREMETORTE")
   (add-button-to-exp-window :x 5 :y 466 :height 50 :width 370 :text "BUTTERKUCHEN")
   (add-button-to-exp-window :x 5 :y 518 :height 50 :width 370 :text "CAPUCCINO")
   (add-button-to-exp-window :x 5 :y 570 :height 50 :width 370 :text "CROISSANTS")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )

(defun button-drogerie-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-laeden-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "ANTIFALTENCREME")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "ANTIBAKTERIELLESSPRAY")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "BADESALZ")
   (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "BADREINIGER")
   (add-button-to-exp-window :x 5 :y 258 :height 50 :width 370 :text "BODYLOTION")
   (add-button-to-exp-window :x 5 :y 310 :height 50 :width 370 :text "CDBRENNEN")
   (add-button-to-exp-window :x 5 :y 362 :height 50 :width 370 :text "DUSCHGEL")
   (add-button-to-exp-window :x 5 :y 414 :height 50 :width 370 :text "EIMER")
   (add-button-to-exp-window :x 5 :y 466 :height 50 :width 370 :text "EISEN TABLETTEN")
   (add-button-to-exp-window :x 5 :y 518 :height 50 :width 370 :text "ESSIGREINIGER")
   (add-button-to-exp-window :x 5 :y 570 :height 50 :width 370 :text "FEINWASCHMITTEL")
   (allow-event-manager *experiment-window*)
   (proc-display)
    )
    )
	 
(defun button-frischefeinkost-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-laeden-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "BIERSCHINKEN")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "BIOVOLLMILCH")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "DICKMILCH")
   (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "DORADE")
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "EDAMER")
   (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "EISWUERFEL")
   (add-button-to-exp-window :x 5 :y 362  :height 50 :width 370 :text "ERDBEEREIS")
   (add-button-to-exp-window :x 5 :y 414 :height 50 :width 370 :text "ERDBEERQUARK")
   (add-button-to-exp-window :x 5 :y 466 :height 50 :width 370 :text "ERDBEERYOGHURT")
   (add-button-to-exp-window :x 5 :y 518 :height 50 :width 370 :text "FETTARMEMILCH")
   (add-button-to-exp-window :x 5 :y 570 :height 50 :width 370 :text "FORELLE")
   (allow-event-manager *experiment-window*)
   (proc-display)
    )
   )
	
(defun button-gemuesehaendler-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-laeden-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "BANANE")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "BASILIKUM")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "BIRNEN")
   (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "BLAUBEEREN")
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "CHAMPIGNONSBRAUN")
   (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "CHAMPIGNONSWEISS")
   (add-button-to-exp-window :x 5 :y 362  :height 50 :width 370 :text "CHICOREE")
   (add-button-to-exp-window :x 5 :y 414 :height 50 :width 370 :text "EISBERGSALAT")
   (add-button-to-exp-window :x 5 :y 466 :height 50 :width 370 :text "ENDIVIENSALAT")
   (add-button-to-exp-window :x 5 :y 518 :height 50 :width 370 :text "ERDNUESSE")
   (add-button-to-exp-window :x 5 :y 570 :height 50 :width 370 :text "ESTRAGON")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )
		  
(defun button-getraenke-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-laeden-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "ALKOHOLFREIESBIER")    
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "ALTBIER")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "APFELSAFT")
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "BANANENSAFT")
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "BIONADE")
   (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "BLUTORANGENSAFT")
   (add-button-to-exp-window :x 5 :y 362  :height 50 :width 370 :text "CHAMPAGNEREXTREMT")
   (add-button-to-exp-window :x 5 :y 414 :height 50 :width 370 :text "CHAMPAGNERSUESS")
   (add-button-to-exp-window :x 5 :y 466 :height 50 :width 370 :text "CHAMPAGNERTROCKEN")
   (add-button-to-exp-window :x 5 :y 518 :height 50 :width 370 :text "COGNAC")
   (add-button-to-exp-window :x 5 :y 570 :height 50 :width 370 :text "COLA")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )
	
(defun button-schreibwarenladen-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 200 :text "<<"     :action #'button-laeden-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "ACRYLFARBEBLAU")
   (add-button-to-exp-window :x 5 :y 102 :height 50 :width 370 :text "ACRYLFARBEGELB")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "ACRYLFARBEWEISS")
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "BERLINERMORGENPOST")
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "BILD")
   (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "BLEISTIFT")
   (add-button-to-exp-window :x 5 :y 362  :height 50 :width 370 :text "BLOCKA3")
   (add-button-to-exp-window :x 5 :y 414 :height 50 :width 370 :text "BLOCKKARRIERTA4")
   (add-button-to-exp-window :x 5 :y 466 :height 50 :width 370 :text "BLOCKLINIERTA4")
   (add-button-to-exp-window :x 5 :y 518 :height 50 :width 370 :text "BRAVO")
   (add-button-to-exp-window :x 5 :y 570 :height 50 :width 370 :text "BRIEFBOGENBUNT")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )
 
(defun button-tanteemma-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-laeden-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "ANANASDOSE")
   (add-button-to-exp-window :x 5 :y 102 :height 50 :width 370 :text "ANIS")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "BOHNEN (DOSE)")
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "BONBONS")
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "BRATENSAUCE")
   (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "BRUEHE (GEMUESE)")
   (add-button-to-exp-window :x 5 :y 362  :height 50 :width 370 :text "BRUEHE (HUEHNER)")
   (add-button-to-exp-window :x 5 :y 414 :height 50 :width 370 :text "CASHEW-KERNE")
   (add-button-to-exp-window :x 5 :y 466 :height 50 :width 370 :text "CHIPS")
   (add-button-to-exp-window :x 5 :y 518 :height 50 :width 370 :text "CORNFLAKES")
   (add-button-to-exp-window :x 5 :y 570 :height 50 :width 370 :text "CUMIN")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-switchversion-pressed (button)
    (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "VERSIONB")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "LAEDEN" :action #'button-laeden2-pressed)
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "LISTE")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
   (setf *version* 'A)
)

(defun button-back2-pressed (button)
    (Clear-exp-window)
	(progn
	(setf *Uebersicht* (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "VERSIONB"))
	(setf *Laeden* (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "LAEDEN":action #'button-laeden2-pressed))
    	(setf *Meineliste* (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "MEINE LISTE"))
	)
   (allow-event-manager *experiment-window*)
   (proc-display)
)	

(defun button-laeden2-pressed (button)
    (Clear-exp-window)
   (progn
    (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-back2-pressed)
    (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "BAECKEREI" :action #'button-baeckerei2-pressed)
    (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "DROGERIE" :action #'button-drogerie2-pressed)
    (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "FRISCHEFEINKOST" :action #'button-frischefeinkost2-pressed)
    (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "GEMUESEHAENDLER" :action #'button-gemuesehaendler2-pressed) 
    (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "GETRAENKE" :action #'button-getraenke2-pressed)
    (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "SCHREIBWARENLADEN" :action #'button-schreibwarenladen2-pressed)
    (add-button-to-exp-window :x 5 :y 362  :height 50 :width 370 :text "TANTEEMMA" :action #'button-tanteemma2-pressed)
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )

(defun button-gemuesehaendler2-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-laeden2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)

(defun button-baeckerei2-pressed (button)
   (Clear-exp-window)
	(progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-laeden2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "BACKZUTATEN" :action #'button-backzutaten-pressed)
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "BROETCHEN" :action #'button-broetchen-pressed)
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "BROTE" :action #'button-brote-pressed)
   (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "KAFFEESPEZIALITAETEN" :action #'button-kaffeespezialitaeten-pressed)
   (add-button-to-exp-window :x 5 :y 258 :height 50 :width 370 :text "KUCHEN" :action #'button-kuchen-pressed)
   (add-button-to-exp-window :x 5 :y 310 :height 50 :width 370 :text "SUESSESTUECKCHEN" :action #'button-suessestueckchen-pressed)
   (add-button-to-exp-window :x 5 :y 362 :height 50 :width 370 :text "TORTEN" :action #'button-torten-pressed)
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
)

(defun button-suessestueckchen-pressed (button)
   (Clear-exp-window)
	(progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-baeckerei2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "AMERIKANER")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "APFELTASCHE")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "DONUTS")
   (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "NUSSECKE")
   (add-button-to-exp-window :x 5 :y 258 :height 50 :width 370 :text "PFANNKUCHEN")
   (add-button-to-exp-window :x 5 :y 310 :height 50 :width 370 :text "SCHWEINEOHREN")
   (add-button-to-exp-window :x 5 :y 362 :height 50 :width 370 :text "ZIMZSCHNECKE")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
)


(defun button-backzutaten-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-baeckerei2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-broetchen-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-baeckerei2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-brote-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-baeckerei2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-kaffeespezialitaeten-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-baeckerei2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-kuchen-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-baeckerei2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-torten-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<< BAECKEREI" :action #'button-baeckerei2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
	
(defun button-drogerie2-pressed (button)
   (Clear-exp-window)
	(progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-laeden2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "BABY" :action #'button-baby-pressed)
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "FOTO" :action #'button-foto-pressed)
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "GESUNDHEIT" :action #'button-gesundheit-pressed)
   (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "KOERPERPFLEGE" :action #'button-koerperpflege-pressed)
   (add-button-to-exp-window :x 5 :y 258 :height 50 :width 370 :text "KOSMETIK" :action #'button-kosmetik-pressed)
   (add-button-to-exp-window :x 5 :y 310 :height 50 :width 370 :text "PUTZEN" :action #'button-putzen-pressed)
   (add-button-to-exp-window :x 5 :y 362 :height 50 :width 370 :text "WASCHEN" :action #'button-waschen-pressed)
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
)

(defun button-koerperpflege-pressed (button)
   (Clear-exp-window)
	(progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-drogerie2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "BADESALZ")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "BODYLOTION")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "DUSCHGEL")
   (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "HAARKUR")
   (add-button-to-exp-window :x 5 :y 258 :height 50 :width 370 :text "HANDCREME")
   (add-button-to-exp-window :x 5 :y 310 :height 50 :width 370 :text "ZAHNCREME")
   (add-button-to-exp-window :x 5 :y 362 :height 50 :width 370 :text "ZAHNSEIDE")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
)
	 
(defun button-baby-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-drogerie2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-foto-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-drogerie2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-gesundheit-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-drogerie2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-kosmetik-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-drogerie2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-putzen-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-drogerie2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-waschen-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-drogerie2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)

(defun button-frischefeinkost2-pressed (button)
   (Clear-exp-window)
	(progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-laeden2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "FRISCHETHEKE" :action #'button-frischetheke-pressed)
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "KAESETHEKE" :action #'button-kaesetheke-pressed)
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "MILCHPRODUKTE" :action #'button-milchprodukte-pressed)
   (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "TIEFKUEHLWAREN" :action #'button-tiefkuehlwaren-pressed)
   (add-button-to-exp-window :x 5 :y 258 :height 50 :width 370 :text "QUARKYOGHURT" :action #'button-quarkyoghurt-pressed)
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
)

(defun button-kaesetheke-pressed (button)
   (Clear-exp-window)
	(progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-frischefeinkost2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "EDAMER")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "GOUDA")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "GORGONZOLA")
   (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "MORZARELLA")
   (add-button-to-exp-window :x 5 :y 258 :height 50 :width 370 :text "PECORINO")
   (add-button-to-exp-window :x 5 :y 310 :height 50 :width 370 :text "ZIEGENFRISCHKAESE")
   (add-button-to-exp-window :x 5 :y 362 :height 50 :width 370 :text "ZIEGENCAMENBERT")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-milchprodukte-pressed (button)
   (Clear-exp-window)
	(progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-frischefeinkost2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "BIOVOLLMILCH")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "DICKMILCH")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "FETTARMEMILCH")
   (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "HMILCH")
   (add-button-to-exp-window :x 5 :y 258 :height 50 :width 370 :text "MOLKE")
   (add-button-to-exp-window :x 5 :y 310 :height 50 :width 370 :text "VOLLMILCH")
   (add-button-to-exp-window :x 5 :y 362 :height 50 :width 370 :text "ZIEGENMILCH")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-frischetheke-pressed (button)
   (Clear-exp-window)
	(progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-frischefeinkost2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "DORADE")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "FORELLE")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "LACHSE")
   (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "GARNELLEN")
   (add-button-to-exp-window :x 5 :y 258 :height 50 :width 370 :text "HAI")
   (add-button-to-exp-window :x 5 :y 310 :height 50 :width 370 :text "MATJES")
   (add-button-to-exp-window :x 5 :y 362 :height 50 :width 370 :text "ZANDER")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-tiefkuehlwaren-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-frischefeinkost2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-quarkyoghurt-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-frischefeinkost2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
	
(defun button-getraenke2-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 2 :y 10  :height 30 :width 150 :text "<<" :action #'button-laeden2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "SAEFTE" :action #'button-saefte-pressed)
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "SOFTDRINKS" :action #'button-softdrinks-pressed)
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "BIER" :action #'button-bier-pressed)
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "WEIN" :action #'button-wein-pressed)
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "HOCHPROZENTIGES" :action #'button-hochprozentiges-pressed)
   (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "WASSER" :action #'button-wasser-pressed)
   (add-button-to-exp-window :x 5 :y 362  :height 50 :width 370 :text "SEKTCHAMPAGNER":action #'button-sektchampagner-pressed)  
   (allow-event-manager *experiment-window*)
   (proc-display)
   )
  )

(defun button-bier-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 2 :y 10  :height 30 :width 150 :text "<<"     :action #'button-getraenke2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "ALKOHOLFREIESBIER")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "ALTBIER")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "PILS")
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "RADLER")
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "SCHWARZBIER")
   (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "STARKBIER")
   ) 
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-saefte-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-getraenke2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-softdrinks-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-getraenke2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-wein-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-getraenke2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-hochprozentiges-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-getraenke2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-wasser-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-getraenke2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-sektchampagner-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-getraenke2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)

(defun button-schreibwarenladen2-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 2 :y 10  :height 30 :width 150 :text "<<" :action #'button-laeden2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "DRUCKZUBEHOER" :action #'button-druckzubehoer-pressed)
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "MALZUBEHOER" :action #'button-malzubehoer-pressed)
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "PAPIER" :action #'button-papier-pressed)
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "ORDNEN" :action #'button-ordnen-pressed)
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "VERSENDEN" :action #'button-versenden-pressed)
   (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "ZEITSCHRIFTEN" :action #'button-zeitschriften-pressed)
   (add-button-to-exp-window :x 5 :y 362  :height 50 :width 370 :text "ZEITUNGEN" :action #'button-zeitungen-pressed)
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
  )

(defun button-malzubehoer-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 2 :y 10  :height 30 :width 150 :text "<<" :action #'button-schreibwarenladen2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "ACRYLFARBEBLAU")
   (add-button-to-exp-window :x 5 :y 102 :height 50 :width 370 :text "ACRYLFARBEGELB")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "ACRYLFARBEWEISS")
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "BLOCKA3")
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "PINSELDICK")
   (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "PINSELDUENN")
   (add-button-to-exp-window :x 5 :y 362  :height 50 :width 370 :text "WASSERFARBENSET")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
 )	
(defun button-druckzubehoer-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-schreibwarenladen2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-papier-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-schreibwarenladen2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-ordnen-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-schreibwarenladen2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-versenden-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-schreibwarenladen2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-zeitschriften-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-schreibwarenladen2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-zeitungen-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-schreibwarenladen2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
	
(defun button-tanteemma2-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 2 :y 10  :height 30 :width 150 :text "<<" :action #'button-laeden2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "GEWUERZE" :action #'button-gewuerze-pressed)
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "KAFFEE" :action #'button-kaffee-pressed)
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "KNABBERARTIKEL" :action #'button-knabberartikel-pressed)
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "KONSERVEN":action #'button-konserven-pressed)
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "MUESLI" :action #'button-muesli-pressed)
   (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "KONFITUERE" :action #'button-konfituere-pressed)
   (add-button-to-exp-window :x 5 :y 362  :height 50 :width 370 :text "SUPPEN" :action #'button-suppen-pressed) 
   ) 
   (allow-event-manager *experiment-window*)
   (proc-display)
  )

(defun button-konserven-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 2 :y 10  :height 30 :width 150 :text "<<":action #'button-tanteemma2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "ANANASDOSE")
   (add-button-to-exp-window :x 5 :y 102 :height 50 :width 370 :text "BOHNENDOSE")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "GURKEN")
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "KOKOSMILCH")
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "MAIS")
   (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "OELSARDINEN")
   (add-button-to-exp-window :x 5 :y 362  :height 50 :width 370 :text "TUNFISCH")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
 )
(defun button-gewuerze-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-tanteemma2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-kaffee-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-tanteemma2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-knabberartikel-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-tanteemma2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-muesli-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-tanteemma2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-konfituere-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-tanteemma2-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
(defun button-suppen-pressed (button)
   (Clear-exp-window)
   (progn(add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-tanteemma-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
)
