;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;	Cognitive Model for Modelling of List Menus, Updates and Adaptations, Learning.
;;;	Please see model discription: 
;;;	Prezenski, S. and Russwinkel, N.(2016). Towards a General Model of Repeated App Usage. In D. Reitter & F. Ritter (Eds.), In Proc. of the 14th Int. ;;;Conference on Cognitive Modeling. Pennsylvania, USA.
;;;																					
;;;																					
;;; 								!WARNING: Paths have to be adjusted!									
;;; 													
;;;																					
;;;																					
;;;							Version  1									
;;;							 2016/06/10									
;;;					Copyright (C)  Sabine Prezenski	sabine.prezenski@tu-berlin.de			
;;;									
;;; 																				
;;;																					
;;;	To copy and/or distributed the file it is compulsary to cite:
;;; 	Prezenski, S. and Russwinkel, N.(2016). Towards a General Model of Repeated App Usage. In D. Reitter & F. Ritter (Eds.), In Proc. of the 14th Int. ;;;Conference on Cognitive Modeling. Pennsylvania, USA. 				
;;;	 			
;;;	 		
;;;						
;;;																					
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defvar *Suchen* nil)
(defvar *MERKZETTEL* nil)
(defvar *Meineanzeigen* nil)
(defvar *einstellungen* nil)
(defvar *experiment-window* nil)
(defvar *visible* nil)
(defvar *version*)

(defun build-display ()
   (setf *experiment-window* (open-exp-window "ImmoApp" :visible t :x 50 :y 50 :width 380 :height 680))
   (setf *Suchen* (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "SUCHEN":action #'button-suchen-pressed))
   (setf *MERKZETTEL* (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "MERKZETTEL")); :action #'button-merkzettel-pressed))
   (setf *Meineanzeigen* (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "MEINE ANZEIGEN")); :action #'button-switchversion-pressed))
   (setf *einstellungen* (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "EINSTELLUNGEN" :action #'button-einstellungen-pressed))
   (allow-event-manager *experiment-window*)
   (proc-display)
   (setf *version* 'b)
   )


(defun button-back-pressed (button)
    (Clear-exp-window)
    (progn
    (setf *Suchen* (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "SUCHEN":action #'button-suchen-pressed))
    (setf *merkzettel* (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "MERKZETTEL")); :action #'button-merkzettel-pressed))
    (setf *Meineanzeigen* (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "MEINE ANZEIGEN"));:action #'button-switchversion-pressed))
	(setf *einstellungen* (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "EINSTELLUNGEN" :action #'button-einstellungen-pressed))
    )
   (allow-event-manager *experiment-window*)
   (proc-display)
)	 

(defun button-suchen-pressed (button)
    (Clear-exp-window)
   (progn
    (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<":action #'button-back-pressed)
    (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "WAS" :action #'button-was-pressed)
    (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "BEZIRK" :action #'button-BEZIRK-pressed)
    (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "ZIMMER" :action #'button-ZIMMER-pressed)
    (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "FLAECHE" :action #'button-Flaeche-pressed) 
    (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "PREIS" :action #'button-Preis-pressed)
    (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "GARTEN" :action #'button-Garten-pressed)
	(add-button-to-exp-window :x 5 :y 362  :height 50 :width 370 :text "WEITERES" :action #'button-Weiteres-pressed)
    ;(add-button-to-exp-window :x 5 :y 362  :height 50 :width 370 :text "TANTEEMMA" :action #'button-tanteemma-pressed)
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )

(defun button-was-pressed (button)
   (Clear-exp-window)
	(progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-suchen-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "MIETEN":action #'button-Mieten-pressed)
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "KAUFEN":action #'button-Kaufen-pressed)
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )

(defun button-Mieten-pressed (button)
   (Clear-exp-window)
	(progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-was-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "MIETWOHNUNG")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "HAUS")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "GRUNDSTUECK")
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "WGZIMMER")
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "WOHNENAUFZEIT")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )	


(defun button-Kaufen-pressed (button)
   (Clear-exp-window)
	(progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-was-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "EIGENTUMSWOHNUNG")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "HAUS")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "GRUNDSTUECK")
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "GARAGEN")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )	
	
	
(defun button-BEZIRK-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-suchen-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "CHARLOTTENBURG")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "KREUZBERG")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "NEUKOELLN")
   (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "TEMPELHOF")
   (add-button-to-exp-window :x 5 :y 258 :height 50 :width 370 :text "TIERGARTEN")
   (add-button-to-exp-window :x 5 :y 310 :height 50 :width 370 :text "WEDDING")
   (allow-event-manager *experiment-window*)
   (proc-display)
    )
    )
	 
(defun button-ZIMMER-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-suchen-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "3bis4")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "4bis5")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "5bis6")
   (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "6plus")
   (allow-event-manager *experiment-window*)
   (proc-display)
    )
   )
	
(defun button-Flaeche-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-suchen-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "40m")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "50m")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "60m")
   (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "70m")
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "80m")
   (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "90m")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )
		  
(defun button-Preis-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-suchen-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "450")    
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "550")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "650")
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "750")
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "850")
   (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "950")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )
	
(defun button-Weiteres-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 200 :text "<<"     :action #'button-suchen-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "AUSSTATTUNG":action #'button-Ausstattung-pressed)
   (add-button-to-exp-window :x 5 :y 102 :height 50 :width 370 :text "HAUSTYP":action #'button-Haustyp-pressed)
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )
 
 (defun button-AUSSTATTUNG-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 200 :text "<<"     :action #'button-Weiteres-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "AUFZUG")
   (add-button-to-exp-window :x 5 :y 102 :height 50 :width 370 :text "BALKON")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "EINBAUKUECHE")
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "GARAGE")
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "KELLER")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )

  (defun button-HAUSTYP-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 200 :text "<<"     :action #'button-Weiteres-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "BUNGALOW")
   (add-button-to-exp-window :x 5 :y 102 :height 50 :width 370 :text "DOPPELHAUSHAELFTE")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "EINFAMILIENHAUS")
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "REIHENHAUS")
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "VILLA")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )
	
  (defun button-GARTEN-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 200 :text "<<"     :action #'button-Suchen-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "BAUMWIESE")
   (add-button-to-exp-window :x 5 :y 102 :height 50 :width 370 :text "RASEN")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "TERASSE")
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "TEICH")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )
	

 (defun button-einstellungen-pressed (button)
    (Clear-exp-window)
    (progn
    (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "SUCHEN":action #'button-Suchen2-pressed)
    (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "MERKZETTEL")
    (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "MEINE ANZEIGEN")
    (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "EINSTELLUNGEN")
    )
    (allow-event-manager *experiment-window*)
    (proc-display)
    (setf *version* 'A)
 )
; ab hier die andere Version implementieren
(defun button-back2-pressed (button)
    (Clear-exp-window)
	(progn
	(setf *Suchen2* (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "SUCHEN" :action #'button-suchen2-pressed))
	(setf *merkzettel2* (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "MERKZETTEL"));:action #'button-suchen2-pressed))
    (setf *MeineAnzeigen2* (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "MEINE ANZEIGEN"))
	(setf *NEUEEINSTELLUNGEN* (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "EINSTELLUNGEN"))
	)
   (allow-event-manager *experiment-window*)
   (proc-display)
)	

(defun button-suchen2-pressed (button)
    (Clear-exp-window)
   (progn
    (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<" :action #'button-back2-pressed)
    (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "WAS" :action #'button-was2-pressed)
    (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "BEZIRK" :action #'button-BEZIRK2-pressed)
    (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "ZIMMER" :action #'button-ZIMMER2-pressed)
    (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "FLAECHE" :action #'button-Flaeche2-pressed) 
    (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "PREIS" :action #'button-Preis2-pressed)
    (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "WEITERES" :action #'button-weiteres2-pressed)
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )

(defun button-was2-pressed (button)
   (Clear-exp-window)
	(progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-suchen2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "MIETEN":action #'button-Mieten2-pressed)
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "KAUFEN":action #'button-Kaufen2-pressed)
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )

(defun button-Mieten2-pressed (button)
   (Clear-exp-window)
	(progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-was2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "MIETWOHNUNG")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "HAUS")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "GRUNDSTUECK")
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "WGZIMMER")
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "WOHNENAUFZEIT")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )	


(defun button-Kaufen2-pressed (button)
   (Clear-exp-window)
	(progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-was2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "EIGENTUMSWOHNUNG")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "HAUS")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "GRUNDSTUECK")
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "GARAGEN")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )	
	
(defun button-BEZIRK2-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-suchen2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "CHARLOTTENBURG")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "KREUZBERG")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "NEUKOELLN")
   (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "TEMPELHOF")
   (add-button-to-exp-window :x 5 :y 258 :height 50 :width 370 :text "TIERGARTEN")
   (add-button-to-exp-window :x 5 :y 310 :height 50 :width 370 :text "WEDDING")
   (allow-event-manager *experiment-window*)
   (proc-display)
    )
    )

(defun button-ZIMMER2-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-suchen2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "1bis2")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "2bis3")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "3bis4")
   (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "4bis5")
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "5bis6")
   (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "6plus")
   (allow-event-manager *experiment-window*)
   (proc-display)
    )
   )
	
(defun button-Flaeche2-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-suchen2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "20m")
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "30m")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "40m")
   (add-button-to-exp-window :x 5 :y 206 :height 50 :width 370 :text "50m")
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "60m")
   (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "70m")
   (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "80m")
	(add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "90m")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )
		  
(defun button-Preis2-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 150 :text "<<"     :action #'button-suchen2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "250")    
   (add-button-to-exp-window :x 5 :y 102  :height 50 :width 370 :text "350")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "450")
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "550")
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "650")
   (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "750")
   (add-button-to-exp-window :x 5 :y 362  :height 50 :width 370 :text "850")
   (add-button-to-exp-window :x 5 :y 414 :height 50 :width 370 :text "950")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )

 (defun button-GARTEN2-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 200 :text "<<"     :action #'button-weiteres2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "BAUMWIESE")
   (add-button-to-exp-window :x 5 :y 102 :height 50 :width 370 :text "RASEN")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "TERASSE")
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "TEICH")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )
	
(defun button-Weiteres2-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 200 :text "<<"     :action #'button-suchen2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "AUSSTATTUNG":action #'button-Ausstattung2-pressed)
   (add-button-to-exp-window :x 5 :y 102 :height 50 :width 370 :text "WOHNUNGSTYP":action #'button-Wohnungstyp2-pressed)
   (add-button-to-exp-window :x 5 :y 154 :height 50 :width 370 :text "GARTEN":action #'button-Garten2-pressed)
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )
 
 (defun button-AUSSTATTUNG2-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 200 :text "<<"     :action #'button-weiteres2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "AUFZUG")
   (add-button-to-exp-window :x 5 :y 102 :height 50 :width 370 :text "BALKON")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "EINBAUKUECHE")
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "GARAGE")
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "KELLER")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )
 
  (defun button-WOHNUNGSTYP2-pressed (button)
   (Clear-exp-window)
   (progn
   (add-button-to-exp-window :x 5 :y 10  :height 30 :width 200 :text "<<"     :action #'button-weiteres2-pressed)
   (add-button-to-exp-window :x 5 :y 50  :height 50 :width 370 :text "DACHGESCHOSS")
   (add-button-to-exp-window :x 5 :y 102 :height 50 :width 370 :text "ERDGESCHOSS")
   (add-button-to-exp-window :x 5 :y 154  :height 50 :width 370 :text "ETAGENWOHNUNG")
   (add-button-to-exp-window :x 5 :y 206  :height 50 :width 370 :text "LOFT")
   (add-button-to-exp-window :x 5 :y 258  :height 50 :width 370 :text "MAISONETTE")
   (add-button-to-exp-window :x 5 :y 310  :height 50 :width 370 :text "SOUTERRAIN")
   )
   (allow-event-manager *experiment-window*)
   (proc-display)
    )
	
	
	
	
